io.vertx.rxjava.redis.client

## Class RedisAPI

- java.lang.Object
- - io.vertx.rxjava.redis.client.RedisAPI

-     public class RedisAPI
      extends Object

  Auto generated Redis API client wrapper.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RedisAPI>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedisAPI(Object delegate)`
    `RedisAPI(RedisAPI delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RedisAPI` | `acl(List<String> args)` Redis command acl.
    `RedisAPI` | `acl(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command acl.
    `static RedisAPI` | `api(Redis client)`
    `static RedisAPI` | `api(RedisConnection connection)`
    `RedisAPI` | `append(String arg0, String arg1)` Redis command append.
    `RedisAPI` | `append(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command append.
    `RedisAPI` | `asking()` Redis command asking.
    `RedisAPI` | `asking(Handler<AsyncResult<Response>> handler)` Redis command asking.
    `RedisAPI` | `auth(List<String> args)` Redis command auth.
    `RedisAPI` | `auth(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command auth.
    `RedisAPI` | `bfAdd(List<String> args)` Redis command bfAdd.
    `RedisAPI` | `bfAdd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bfAdd.
    `RedisAPI` | `bfDebug(List<String> args)` Redis command bfDebug.
    `RedisAPI` | `bfDebug(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bfDebug.
    `RedisAPI` | `bfExists(List<String> args)` Redis command bfExists.
    `RedisAPI` | `bfExists(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bfExists.
    `RedisAPI` | `bfInfo(List<String> args)` Redis command bfInfo.
    `RedisAPI` | `bfInfo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bfInfo.
    `RedisAPI` | `bfInsert(List<String> args)` Redis command bfInsert.
    `RedisAPI` | `bfInsert(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bfInsert.
    `RedisAPI` | `bfLoadchunk(List<String> args)` Redis command bfLoadchunk.
    `RedisAPI` | `bfLoadchunk(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bfLoadchunk.
    `RedisAPI` | `bfMadd(List<String> args)` Redis command bfMadd.
    `RedisAPI` | `bfMadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bfMadd.
    `RedisAPI` | `bfMexists(List<String> args)` Redis command bfMexists.
    `RedisAPI` | `bfMexists(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bfMexists.
    `RedisAPI` | `bfReserve(List<String> args)` Redis command bfReserve.
    `RedisAPI` | `bfReserve(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bfReserve.
    `RedisAPI` | `bfScandump(List<String> args)` Redis command bfScandump.
    `RedisAPI` | `bfScandump(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bfScandump.
    `RedisAPI` | `bgrewriteaof()` Redis command bgrewriteaof.
    `RedisAPI` | `bgrewriteaof(Handler<AsyncResult<Response>> handler)` Redis command bgrewriteaof.
    `RedisAPI` | `bgsave(List<String> args)` Redis command bgsave.
    `RedisAPI` | `bgsave(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bgsave.
    `RedisAPI` | `bitcount(List<String> args)` Redis command bitcount.
    `RedisAPI` | `bitcount(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bitcount.
    `RedisAPI` | `bitfield(List<String> args)` Redis command bitfield.
    `RedisAPI` | `bitfield(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bitfield.
    `RedisAPI` | `bitfieldRo(List<String> args)` Redis command bitfieldRo.
    `RedisAPI` | `bitfieldRo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bitfieldRo.
    `RedisAPI` | `bitop(List<String> args)` Redis command bitop.
    `RedisAPI` | `bitop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bitop.
    `RedisAPI` | `bitpos(List<String> args)` Redis command bitpos.
    `RedisAPI` | `bitpos(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bitpos.
    `RedisAPI` | `blmove(String arg0, String arg1, String arg2, String arg3, String arg4)` Redis command blmove.
    `RedisAPI` | `blmove(String arg0, String arg1, String arg2, String arg3, String arg4, Handler<AsyncResult<Response>> handler)` Redis command blmove.
    `RedisAPI` | `blmpop(List<String> args)` Redis command blmpop.
    `RedisAPI` | `blmpop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command blmpop.
    `RedisAPI` | `blpop(List<String> args)` Redis command blpop.
    `RedisAPI` | `blpop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command blpop.
    `RedisAPI` | `brpop(List<String> args)` Redis command brpop.
    `RedisAPI` | `brpop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command brpop.
    `RedisAPI` | `brpoplpush(String arg0, String arg1, String arg2)` Redis command brpoplpush.
    `RedisAPI` | `brpoplpush(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command brpoplpush.
    `RedisAPI` | `bzmpop(List<String> args)` Redis command bzmpop.
    `RedisAPI` | `bzmpop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bzmpop.
    `RedisAPI` | `bzpopmax(List<String> args)` Redis command bzpopmax.
    `RedisAPI` | `bzpopmax(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bzpopmax.
    `RedisAPI` | `bzpopmin(List<String> args)` Redis command bzpopmin.
    `RedisAPI` | `bzpopmin(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bzpopmin.
    `RedisAPI` | `cfAdd(List<String> args)` Redis command cfAdd.
    `RedisAPI` | `cfAdd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cfAdd.
    `RedisAPI` | `cfAddnx(List<String> args)` Redis command cfAddnx.
    `RedisAPI` | `cfAddnx(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cfAddnx.
    `RedisAPI` | `cfCompact(List<String> args)` Redis command cfCompact.
    `RedisAPI` | `cfCompact(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cfCompact.
    `RedisAPI` | `cfCount(List<String> args)` Redis command cfCount.
    `RedisAPI` | `cfCount(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cfCount.
    `RedisAPI` | `cfDebug(List<String> args)` Redis command cfDebug.
    `RedisAPI` | `cfDebug(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cfDebug.
    `RedisAPI` | `cfDel(List<String> args)` Redis command cfDel.
    `RedisAPI` | `cfDel(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cfDel.
    `RedisAPI` | `cfExists(List<String> args)` Redis command cfExists.
    `RedisAPI` | `cfExists(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cfExists.
    `RedisAPI` | `cfInfo(List<String> args)` Redis command cfInfo.
    `RedisAPI` | `cfInfo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cfInfo.
    `RedisAPI` | `cfInsert(List<String> args)` Redis command cfInsert.
    `RedisAPI` | `cfInsert(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cfInsert.
    `RedisAPI` | `cfInsertnx(List<String> args)` Redis command cfInsertnx.
    `RedisAPI` | `cfInsertnx(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cfInsertnx.
    `RedisAPI` | `cfLoadchunk(List<String> args)` Redis command cfLoadchunk.
    `RedisAPI` | `cfLoadchunk(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cfLoadchunk.
    `RedisAPI` | `cfMexists(List<String> args)` Redis command cfMexists.
    `RedisAPI` | `cfMexists(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cfMexists.
    `RedisAPI` | `cfReserve(List<String> args)` Redis command cfReserve.
    `RedisAPI` | `cfReserve(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cfReserve.
    `RedisAPI` | `cfScandump(List<String> args)` Redis command cfScandump.
    `RedisAPI` | `cfScandump(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cfScandump.
    `RedisAPI` | `client(List<String> args)` Redis command client.
    `RedisAPI` | `client(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command client.
    `void` | `close()`
    `RedisAPI` | `cluster(List<String> args)` Redis command cluster.
    `RedisAPI` | `cluster(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cluster.
    `RedisAPI` | `cmsIncrby(List<String> args)` Redis command cmsIncrby.
    `RedisAPI` | `cmsIncrby(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cmsIncrby.
    `RedisAPI` | `cmsInfo(List<String> args)` Redis command cmsInfo.
    `RedisAPI` | `cmsInfo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cmsInfo.
    `RedisAPI` | `cmsInitbydim(List<String> args)` Redis command cmsInitbydim.
    `RedisAPI` | `cmsInitbydim(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cmsInitbydim.
    `RedisAPI` | `cmsInitbyprob(List<String> args)` Redis command cmsInitbyprob.
    `RedisAPI` | `cmsInitbyprob(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cmsInitbyprob.
    `RedisAPI` | `cmsMerge(List<String> args)` Redis command cmsMerge.
    `RedisAPI` | `cmsMerge(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cmsMerge.
    `RedisAPI` | `cmsQuery(List<String> args)` Redis command cmsQuery.
    `RedisAPI` | `cmsQuery(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cmsQuery.
    `RedisAPI` | `command(List<String> args)` Redis command command.
    `RedisAPI` | `command(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command command.
    `RedisAPI` | `config(List<String> args)` Redis command config.
    `RedisAPI` | `config(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command config.
    `RedisAPI` | `copy(List<String> args)` Redis command copy.
    `RedisAPI` | `copy(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command copy.
    `RedisAPI` | `dbsize()` Redis command dbsize.
    `RedisAPI` | `dbsize(Handler<AsyncResult<Response>> handler)` Redis command dbsize.
    `RedisAPI` | `debug(List<String> args)` Redis command debug.
    `RedisAPI` | `debug(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command debug.
    `RedisAPI` | `decr(String arg0)` Redis command decr.
    `RedisAPI` | `decr(String arg0, Handler<AsyncResult<Response>> handler)` Redis command decr.
    `RedisAPI` | `decrby(String arg0, String arg1)` Redis command decrby.
    `RedisAPI` | `decrby(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command decrby.
    `RedisAPI` | `del(List<String> args)` Redis command del.
    `RedisAPI` | `del(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command del.
    `RedisAPI` | `discard()` Redis command discard.
    `RedisAPI` | `discard(Handler<AsyncResult<Response>> handler)` Redis command discard.
    `RedisAPI` | `dump(String arg0)` Redis command dump.
    `RedisAPI` | `dump(String arg0, Handler<AsyncResult<Response>> handler)` Redis command dump.
    `RedisAPI` | `echo(String arg0)` Redis command echo.
    `RedisAPI` | `echo(String arg0, Handler<AsyncResult<Response>> handler)` Redis command echo.
    `boolean` | `equals(Object o)`
    `RedisAPI` | `eval(List<String> args)` Redis command eval.
    `RedisAPI` | `eval(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command eval.
    `RedisAPI` | `evalRo(List<String> args)` Redis command evalRo.
    `RedisAPI` | `evalRo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command evalRo.
    `RedisAPI` | `evalsha(List<String> args)` Redis command evalsha.
    `RedisAPI` | `evalsha(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command evalsha.
    `RedisAPI` | `evalshaRo(List<String> args)` Redis command evalshaRo.
    `RedisAPI` | `evalshaRo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command evalshaRo.
    `RedisAPI` | `exec()` Redis command exec.
    `RedisAPI` | `exec(Handler<AsyncResult<Response>> handler)` Redis command exec.
    `RedisAPI` | `exists(List<String> args)` Redis command exists.
    `RedisAPI` | `exists(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command exists.
    `RedisAPI` | `expire(List<String> args)` Redis command expire.
    `RedisAPI` | `expire(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command expire.
    `RedisAPI` | `expireat(List<String> args)` Redis command expireat.
    `RedisAPI` | `expireat(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command expireat.
    `RedisAPI` | `expiretime(String arg0)` Redis command expiretime.
    `RedisAPI` | `expiretime(String arg0, Handler<AsyncResult<Response>> handler)` Redis command expiretime.
    `RedisAPI` | `failover(List<String> args)` Redis command failover.
    `RedisAPI` | `failover(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command failover.
    `RedisAPI` | `fcall(List<String> args)` Redis command fcall.
    `RedisAPI` | `fcall(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command fcall.
    `RedisAPI` | `fcallRo(List<String> args)` Redis command fcallRo.
    `RedisAPI` | `fcallRo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command fcallRo.
    `RedisAPI` | `flushall(List<String> args)` Redis command flushall.
    `RedisAPI` | `flushall(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command flushall.
    `RedisAPI` | `flushdb(List<String> args)` Redis command flushdb.
    `RedisAPI` | `flushdb(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command flushdb.
    `RedisAPI` | `ftAdd(List<String> args)` Redis command ftAdd.
    `RedisAPI` | `ftAdd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftAdd.
    `RedisAPI` | `ftAggregate(List<String> args)` Redis command ftAggregate.
    `RedisAPI` | `ftAggregate(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftAggregate.
    `RedisAPI` | `ftAliasadd(List<String> args)` Redis command ftAliasadd.
    `RedisAPI` | `ftAliasadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftAliasadd.
    `RedisAPI` | `ftAliasaddifnx(List<String> args)` Redis command ftAliasaddifnx.
    `RedisAPI` | `ftAliasaddifnx(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftAliasaddifnx.
    `RedisAPI` | `ftAliasdel(List<String> args)` Redis command ftAliasdel.
    `RedisAPI` | `ftAliasdel(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftAliasdel.
    `RedisAPI` | `ftAliasdelifx(List<String> args)` Redis command ftAliasdelifx.
    `RedisAPI` | `ftAliasdelifx(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftAliasdelifx.
    `RedisAPI` | `ftAliasupdate(List<String> args)` Redis command ftAliasupdate.
    `RedisAPI` | `ftAliasupdate(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftAliasupdate.
    `RedisAPI` | `ftAlter(List<String> args)` Redis command ftAlter.
    `RedisAPI` | `ftAlter(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftAlter.
    `RedisAPI` | `ftAlterifnx(List<String> args)` Redis command ftAlterifnx.
    `RedisAPI` | `ftAlterifnx(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftAlterifnx.
    `RedisAPI` | `ftConfig(List<String> args)` Redis command ftConfig.
    `RedisAPI` | `ftConfig(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftConfig.
    `RedisAPI` | `ftCreate(List<String> args)` Redis command ftCreate.
    `RedisAPI` | `ftCreate(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftCreate.
    `RedisAPI` | `ftCreateifnx(List<String> args)` Redis command ftCreateifnx.
    `RedisAPI` | `ftCreateifnx(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftCreateifnx.
    `RedisAPI` | `ftCursor(List<String> args)` Redis command ftCursor.
    `RedisAPI` | `ftCursor(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftCursor.
    `RedisAPI` | `ftDebug(List<String> args)` Redis command ftDebug.
    `RedisAPI` | `ftDebug(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftDebug.
    `RedisAPI` | `ftDel(List<String> args)` Redis command ftDel.
    `RedisAPI` | `ftDel(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftDel.
    `RedisAPI` | `ftDictadd(List<String> args)` Redis command ftDictadd.
    `RedisAPI` | `ftDictadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftDictadd.
    `RedisAPI` | `ftDictdel(List<String> args)` Redis command ftDictdel.
    `RedisAPI` | `ftDictdel(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftDictdel.
    `RedisAPI` | `ftDictdump(List<String> args)` Redis command ftDictdump.
    `RedisAPI` | `ftDictdump(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftDictdump.
    `RedisAPI` | `ftDrop(List<String> args)` Redis command ftDrop.
    `RedisAPI` | `ftDrop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftDrop.
    `RedisAPI` | `ftDropifx(List<String> args)` Redis command ftDropifx.
    `RedisAPI` | `ftDropifx(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftDropifx.
    `RedisAPI` | `ftDropindex(List<String> args)` Redis command ftDropindex.
    `RedisAPI` | `ftDropindex(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftDropindex.
    `RedisAPI` | `ftDropindexifx(List<String> args)` Redis command ftDropindexifx.
    `RedisAPI` | `ftDropindexifx(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftDropindexifx.
    `RedisAPI` | `ftExplain(List<String> args)` Redis command ftExplain.
    `RedisAPI` | `ftExplain(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftExplain.
    `RedisAPI` | `ftExplaincli(List<String> args)` Redis command ftExplaincli.
    `RedisAPI` | `ftExplaincli(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftExplaincli.
    `RedisAPI` | `ftGet(List<String> args)` Redis command ftGet.
    `RedisAPI` | `ftGet(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftGet.
    `RedisAPI` | `ftInfo(List<String> args)` Redis command ftInfo.
    `RedisAPI` | `ftInfo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftInfo.
    `RedisAPI` | `ftList(List<String> args)` Redis command ftList.
    `RedisAPI` | `ftList(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftList.
    `RedisAPI` | `ftMget(List<String> args)` Redis command ftMget.
    `RedisAPI` | `ftMget(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftMget.
    `RedisAPI` | `ftProfile(List<String> args)` Redis command ftProfile.
    `RedisAPI` | `ftProfile(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftProfile.
    `RedisAPI` | `ftSafeadd(List<String> args)` Redis command ftSafeadd.
    `RedisAPI` | `ftSafeadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftSafeadd.
    `RedisAPI` | `ftSearch(List<String> args)` Redis command ftSearch.
    `RedisAPI` | `ftSearch(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftSearch.
    `RedisAPI` | `ftSpellcheck(List<String> args)` Redis command ftSpellcheck.
    `RedisAPI` | `ftSpellcheck(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftSpellcheck.
    `RedisAPI` | `ftSugadd(List<String> args)` Redis command ftSugadd.
    `RedisAPI` | `ftSugadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftSugadd.
    `RedisAPI` | `ftSugdel(List<String> args)` Redis command ftSugdel.
    `RedisAPI` | `ftSugdel(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftSugdel.
    `RedisAPI` | `ftSugget(List<String> args)` Redis command ftSugget.
    `RedisAPI` | `ftSugget(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftSugget.
    `RedisAPI` | `ftSuglen(List<String> args)` Redis command ftSuglen.
    `RedisAPI` | `ftSuglen(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftSuglen.
    `RedisAPI` | `ftSynadd(List<String> args)` Redis command ftSynadd.
    `RedisAPI` | `ftSynadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftSynadd.
    `RedisAPI` | `ftSyndump(List<String> args)` Redis command ftSyndump.
    `RedisAPI` | `ftSyndump(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftSyndump.
    `RedisAPI` | `ftSynupdate(List<String> args)` Redis command ftSynupdate.
    `RedisAPI` | `ftSynupdate(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftSynupdate.
    `RedisAPI` | `ftTagvals(List<String> args)` Redis command ftTagvals.
    `RedisAPI` | `ftTagvals(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ftTagvals.
    `RedisAPI` | `function(List<String> args)` Redis command function.
    `RedisAPI` | `function(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command function.
    `RedisAPI` | `geoadd(List<String> args)` Redis command geoadd.
    `RedisAPI` | `geoadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command geoadd.
    `RedisAPI` | `geodist(List<String> args)` Redis command geodist.
    `RedisAPI` | `geodist(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command geodist.
    `RedisAPI` | `geohash(List<String> args)` Redis command geohash.
    `RedisAPI` | `geohash(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command geohash.
    `RedisAPI` | `geopos(List<String> args)` Redis command geopos.
    `RedisAPI` | `geopos(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command geopos.
    `RedisAPI` | `georadius(List<String> args)` Redis command georadius.
    `RedisAPI` | `georadius(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command georadius.
    `RedisAPI` | `georadiusbymember(List<String> args)` Redis command georadiusbymember.
    `RedisAPI` | `georadiusbymember(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command georadiusbymember.
    `RedisAPI` | `georadiusbymemberRo(List<String> args)` Redis command georadiusbymemberRo.
    `RedisAPI` | `georadiusbymemberRo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command georadiusbymemberRo.
    `RedisAPI` | `georadiusRo(List<String> args)` Redis command georadiusRo.
    `RedisAPI` | `georadiusRo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command georadiusRo.
    `RedisAPI` | `geosearch(List<String> args)` Redis command geosearch.
    `RedisAPI` | `geosearch(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command geosearch.
    `RedisAPI` | `geosearchstore(List<String> args)` Redis command geosearchstore.
    `RedisAPI` | `geosearchstore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command geosearchstore.
    `RedisAPI` | `get(String arg0)` Redis command get.
    `RedisAPI` | `get(String arg0, Handler<AsyncResult<Response>> handler)` Redis command get.
    `RedisAPI` | `getbit(String arg0, String arg1)` Redis command getbit.
    `RedisAPI` | `getbit(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command getbit.
    `RedisAPI` | `getdel(String arg0)` Redis command getdel.
    `RedisAPI` | `getdel(String arg0, Handler<AsyncResult<Response>> handler)` Redis command getdel.
    `RedisAPI` | `getDelegate()`
    `RedisAPI` | `getex(List<String> args)` Redis command getex.
    `RedisAPI` | `getex(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command getex.
    `RedisAPI` | `getrange(String arg0, String arg1, String arg2)` Redis command getrange.
    `RedisAPI` | `getrange(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command getrange.
    `RedisAPI` | `getset(String arg0, String arg1)` Redis command getset.
    `RedisAPI` | `getset(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command getset.
    `RedisAPI` | `graphBulk(List<String> args)` Redis command graphBulk.
    `RedisAPI` | `graphBulk(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command graphBulk.
    `RedisAPI` | `graphConfig(List<String> args)` Redis command graphConfig.
    `RedisAPI` | `graphConfig(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command graphConfig.
    `RedisAPI` | `graphDebug(List<String> args)` Redis command graphDebug.
    `RedisAPI` | `graphDebug(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command graphDebug.
    `RedisAPI` | `graphDelete(List<String> args)` Redis command graphDelete.
    `RedisAPI` | `graphDelete(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command graphDelete.
    `RedisAPI` | `graphExplain(List<String> args)` Redis command graphExplain.
    `RedisAPI` | `graphExplain(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command graphExplain.
    `RedisAPI` | `graphList(List<String> args)` Redis command graphList.
    `RedisAPI` | `graphList(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command graphList.
    `RedisAPI` | `graphProfile(List<String> args)` Redis command graphProfile.
    `RedisAPI` | `graphProfile(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command graphProfile.
    `RedisAPI` | `graphQuery(List<String> args)` Redis command graphQuery.
    `RedisAPI` | `graphQuery(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command graphQuery.
    `RedisAPI` | `graphRoQuery(List<String> args)` Redis command graphRoQuery.
    `RedisAPI` | `graphRoQuery(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command graphRoQuery.
    `RedisAPI` | `graphSlowlog(List<String> args)` Redis command graphSlowlog.
    `RedisAPI` | `graphSlowlog(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command graphSlowlog.
    `int` | `hashCode()`
    `RedisAPI` | `hdel(List<String> args)` Redis command hdel.
    `RedisAPI` | `hdel(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command hdel.
    `RedisAPI` | `hello(List<String> args)` Redis command hello.
    `RedisAPI` | `hello(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command hello.
    `RedisAPI` | `hexists(String arg0, String arg1)` Redis command hexists.
    `RedisAPI` | `hexists(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command hexists.
    `RedisAPI` | `hget(String arg0, String arg1)` Redis command hget.
    `RedisAPI` | `hget(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command hget.
    `RedisAPI` | `hgetall(String arg0)` Redis command hgetall.
    `RedisAPI` | `hgetall(String arg0, Handler<AsyncResult<Response>> handler)` Redis command hgetall.
    `RedisAPI` | `hincrby(String arg0, String arg1, String arg2)` Redis command hincrby.
    `RedisAPI` | `hincrby(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command hincrby.
    `RedisAPI` | `hincrbyfloat(String arg0, String arg1, String arg2)` Redis command hincrbyfloat.
    `RedisAPI` | `hincrbyfloat(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command hincrbyfloat.
    `RedisAPI` | `hkeys(String arg0)` Redis command hkeys.
    `RedisAPI` | `hkeys(String arg0, Handler<AsyncResult<Response>> handler)` Redis command hkeys.
    `RedisAPI` | `hlen(String arg0)` Redis command hlen.
    `RedisAPI` | `hlen(String arg0, Handler<AsyncResult<Response>> handler)` Redis command hlen.
    `RedisAPI` | `hmget(List<String> args)` Redis command hmget.
    `RedisAPI` | `hmget(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command hmget.
    `RedisAPI` | `hmset(List<String> args)` Redis command hmset.
    `RedisAPI` | `hmset(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command hmset.
    `RedisAPI` | `hrandfield(List<String> args)` Redis command hrandfield.
    `RedisAPI` | `hrandfield(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command hrandfield.
    `RedisAPI` | `hscan(List<String> args)` Redis command hscan.
    `RedisAPI` | `hscan(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command hscan.
    `RedisAPI` | `hset(List<String> args)` Redis command hset.
    `RedisAPI` | `hset(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command hset.
    `RedisAPI` | `hsetnx(String arg0, String arg1, String arg2)` Redis command hsetnx.
    `RedisAPI` | `hsetnx(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command hsetnx.
    `RedisAPI` | `hstrlen(String arg0, String arg1)` Redis command hstrlen.
    `RedisAPI` | `hstrlen(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command hstrlen.
    `RedisAPI` | `hvals(String arg0)` Redis command hvals.
    `RedisAPI` | `hvals(String arg0, Handler<AsyncResult<Response>> handler)` Redis command hvals.
    `RedisAPI` | `incr(String arg0)` Redis command incr.
    `RedisAPI` | `incr(String arg0, Handler<AsyncResult<Response>> handler)` Redis command incr.
    `RedisAPI` | `incrby(String arg0, String arg1)` Redis command incrby.
    `RedisAPI` | `incrby(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command incrby.
    `RedisAPI` | `incrbyfloat(String arg0, String arg1)` Redis command incrbyfloat.
    `RedisAPI` | `incrbyfloat(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command incrbyfloat.
    `RedisAPI` | `info(List<String> args)` Redis command info.
    `RedisAPI` | `info(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command info.
    `RedisAPI` | `jsonArrappend(List<String> args)` Redis command jsonArrappend.
    `RedisAPI` | `jsonArrappend(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonArrappend.
    `RedisAPI` | `jsonArrindex(List<String> args)` Redis command jsonArrindex.
    `RedisAPI` | `jsonArrindex(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonArrindex.
    `RedisAPI` | `jsonArrinsert(List<String> args)` Redis command jsonArrinsert.
    `RedisAPI` | `jsonArrinsert(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonArrinsert.
    `RedisAPI` | `jsonArrlen(List<String> args)` Redis command jsonArrlen.
    `RedisAPI` | `jsonArrlen(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonArrlen.
    `RedisAPI` | `jsonArrpop(List<String> args)` Redis command jsonArrpop.
    `RedisAPI` | `jsonArrpop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonArrpop.
    `RedisAPI` | `jsonArrtrim(List<String> args)` Redis command jsonArrtrim.
    `RedisAPI` | `jsonArrtrim(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonArrtrim.
    `RedisAPI` | `jsonClear(List<String> args)` Redis command jsonClear.
    `RedisAPI` | `jsonClear(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonClear.
    `RedisAPI` | `jsonDebug(List<String> args)` Redis command jsonDebug.
    `RedisAPI` | `jsonDebug(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonDebug.
    `RedisAPI` | `jsonDel(List<String> args)` Redis command jsonDel.
    `RedisAPI` | `jsonDel(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonDel.
    `RedisAPI` | `jsonForget(List<String> args)` Redis command jsonForget.
    `RedisAPI` | `jsonForget(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonForget.
    `RedisAPI` | `jsonGet(List<String> args)` Redis command jsonGet.
    `RedisAPI` | `jsonGet(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonGet.
    `RedisAPI` | `jsonMget(List<String> args)` Redis command jsonMget.
    `RedisAPI` | `jsonMget(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonMget.
    `RedisAPI` | `jsonNumincrby(List<String> args)` Redis command jsonNumincrby.
    `RedisAPI` | `jsonNumincrby(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonNumincrby.
    `RedisAPI` | `jsonNummultby(List<String> args)` Redis command jsonNummultby.
    `RedisAPI` | `jsonNummultby(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonNummultby.
    `RedisAPI` | `jsonNumpowby(List<String> args)` Redis command jsonNumpowby.
    `RedisAPI` | `jsonNumpowby(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonNumpowby.
    `RedisAPI` | `jsonObjkeys(List<String> args)` Redis command jsonObjkeys.
    `RedisAPI` | `jsonObjkeys(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonObjkeys.
    `RedisAPI` | `jsonObjlen(List<String> args)` Redis command jsonObjlen.
    `RedisAPI` | `jsonObjlen(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonObjlen.
    `RedisAPI` | `jsonResp(List<String> args)` Redis command jsonResp.
    `RedisAPI` | `jsonResp(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonResp.
    `RedisAPI` | `jsonSet(List<String> args)` Redis command jsonSet.
    `RedisAPI` | `jsonSet(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonSet.
    `RedisAPI` | `jsonStrappend(List<String> args)` Redis command jsonStrappend.
    `RedisAPI` | `jsonStrappend(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonStrappend.
    `RedisAPI` | `jsonStrlen(List<String> args)` Redis command jsonStrlen.
    `RedisAPI` | `jsonStrlen(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonStrlen.
    `RedisAPI` | `jsonToggle(List<String> args)` Redis command jsonToggle.
    `RedisAPI` | `jsonToggle(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonToggle.
    `RedisAPI` | `jsonType(List<String> args)` Redis command jsonType.
    `RedisAPI` | `jsonType(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command jsonType.
    `RedisAPI` | `keys(String arg0)` Redis command keys.
    `RedisAPI` | `keys(String arg0, Handler<AsyncResult<Response>> handler)` Redis command keys.
    `RedisAPI` | `lastsave()` Redis command lastsave.
    `RedisAPI` | `lastsave(Handler<AsyncResult<Response>> handler)` Redis command lastsave.
    `RedisAPI` | `latency(List<String> args)` Redis command latency.
    `RedisAPI` | `latency(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command latency.
    `RedisAPI` | `lcs(List<String> args)` Redis command lcs.
    `RedisAPI` | `lcs(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command lcs.
    `RedisAPI` | `lindex(String arg0, String arg1)` Redis command lindex.
    `RedisAPI` | `lindex(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command lindex.
    `RedisAPI` | `linsert(String arg0, String arg1, String arg2, String arg3)` Redis command linsert.
    `RedisAPI` | `linsert(String arg0, String arg1, String arg2, String arg3, Handler<AsyncResult<Response>> handler)` Redis command linsert.
    `RedisAPI` | `llen(String arg0)` Redis command llen.
    `RedisAPI` | `llen(String arg0, Handler<AsyncResult<Response>> handler)` Redis command llen.
    `RedisAPI` | `lmove(String arg0, String arg1, String arg2, String arg3)` Redis command lmove.
    `RedisAPI` | `lmove(String arg0, String arg1, String arg2, String arg3, Handler<AsyncResult<Response>> handler)` Redis command lmove.
    `RedisAPI` | `lmpop(List<String> args)` Redis command lmpop.
    `RedisAPI` | `lmpop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command lmpop.
    `RedisAPI` | `lolwut(List<String> args)` Redis command lolwut.
    `RedisAPI` | `lolwut(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command lolwut.
    `RedisAPI` | `lpop(List<String> args)` Redis command lpop.
    `RedisAPI` | `lpop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command lpop.
    `RedisAPI` | `lpos(List<String> args)` Redis command lpos.
    `RedisAPI` | `lpos(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command lpos.
    `RedisAPI` | `lpush(List<String> args)` Redis command lpush.
    `RedisAPI` | `lpush(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command lpush.
    `RedisAPI` | `lpushx(List<String> args)` Redis command lpushx.
    `RedisAPI` | `lpushx(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command lpushx.
    `RedisAPI` | `lrange(String arg0, String arg1, String arg2)` Redis command lrange.
    `RedisAPI` | `lrange(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command lrange.
    `RedisAPI` | `lrem(String arg0, String arg1, String arg2)` Redis command lrem.
    `RedisAPI` | `lrem(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command lrem.
    `RedisAPI` | `lset(String arg0, String arg1, String arg2)` Redis command lset.
    `RedisAPI` | `lset(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command lset.
    `RedisAPI` | `ltrim(String arg0, String arg1, String arg2)` Redis command ltrim.
    `RedisAPI` | `ltrim(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command ltrim.
    `RedisAPI` | `memory(List<String> args)` Redis command memory.
    `RedisAPI` | `memory(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command memory.
    `RedisAPI` | `mget(List<String> args)` Redis command mget.
    `RedisAPI` | `mget(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command mget.
    `RedisAPI` | `migrate(List<String> args)` Redis command migrate.
    `RedisAPI` | `migrate(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command migrate.
    `RedisAPI` | `module(List<String> args)` Redis command module.
    `RedisAPI` | `module(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command module.
    `RedisAPI` | `monitor()` Redis command monitor.
    `RedisAPI` | `monitor(Handler<AsyncResult<Response>> handler)` Redis command monitor.
    `RedisAPI` | `move(String arg0, String arg1)` Redis command move.
    `RedisAPI` | `move(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command move.
    `RedisAPI` | `mset(List<String> args)` Redis command mset.
    `RedisAPI` | `mset(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command mset.
    `RedisAPI` | `msetnx(List<String> args)` Redis command msetnx.
    `RedisAPI` | `msetnx(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command msetnx.
    `RedisAPI` | `multi()` Redis command multi.
    `RedisAPI` | `multi(Handler<AsyncResult<Response>> handler)` Redis command multi.
    `static RedisAPI` | `newInstance(RedisAPI arg)`
    `RedisAPI` | `object(List<String> args)` Redis command object.
    `RedisAPI` | `object(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command object.
    `RedisAPI` | `persist(String arg0)` Redis command persist.
    `RedisAPI` | `persist(String arg0, Handler<AsyncResult<Response>> handler)` Redis command persist.
    `RedisAPI` | `pexpire(List<String> args)` Redis command pexpire.
    `RedisAPI` | `pexpire(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command pexpire.
    `RedisAPI` | `pexpireat(List<String> args)` Redis command pexpireat.
    `RedisAPI` | `pexpireat(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command pexpireat.
    `RedisAPI` | `pexpiretime(String arg0)` Redis command pexpiretime.
    `RedisAPI` | `pexpiretime(String arg0, Handler<AsyncResult<Response>> handler)` Redis command pexpiretime.
    `RedisAPI` | `pfadd(List<String> args)` Redis command pfadd.
    `RedisAPI` | `pfadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command pfadd.
    `RedisAPI` | `pfcount(List<String> args)` Redis command pfcount.
    `RedisAPI` | `pfcount(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command pfcount.
    `RedisAPI` | `pfdebug(List<String> args)` Redis command pfdebug.
    `RedisAPI` | `pfdebug(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command pfdebug.
    `RedisAPI` | `pfmerge(List<String> args)` Redis command pfmerge.
    `RedisAPI` | `pfmerge(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command pfmerge.
    `RedisAPI` | `pfselftest()` Redis command pfselftest.
    `RedisAPI` | `pfselftest(Handler<AsyncResult<Response>> handler)` Redis command pfselftest.
    `RedisAPI` | `ping(List<String> args)` Redis command ping.
    `RedisAPI` | `ping(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ping.
    `RedisAPI` | `psetex(String arg0, String arg1, String arg2)` Redis command psetex.
    `RedisAPI` | `psetex(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command psetex.
    `RedisAPI` | `psubscribe(List<String> args)` Redis command psubscribe.
    `RedisAPI` | `psubscribe(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command psubscribe.
    `RedisAPI` | `psync(List<String> args)` Redis command psync.
    `RedisAPI` | `psync(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command psync.
    `RedisAPI` | `pttl(String arg0)` Redis command pttl.
    `RedisAPI` | `pttl(String arg0, Handler<AsyncResult<Response>> handler)` Redis command pttl.
    `RedisAPI` | `publish(String arg0, String arg1)` Redis command publish.
    `RedisAPI` | `publish(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command publish.
    `RedisAPI` | `pubsub(List<String> args)` Redis command pubsub.
    `RedisAPI` | `pubsub(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command pubsub.
    `RedisAPI` | `punsubscribe(List<String> args)` Redis command punsubscribe.
    `RedisAPI` | `punsubscribe(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command punsubscribe.
    `RedisAPI` | `quit(List<String> args)` Redis command quit.
    `RedisAPI` | `quit(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command quit.
    `RedisAPI` | `randomkey()` Redis command randomkey.
    `RedisAPI` | `randomkey(Handler<AsyncResult<Response>> handler)` Redis command randomkey.
    `RedisAPI` | `readonly()` Redis command readonly.
    `RedisAPI` | `readonly(Handler<AsyncResult<Response>> handler)` Redis command readonly.
    `RedisAPI` | `readwrite()` Redis command readwrite.
    `RedisAPI` | `readwrite(Handler<AsyncResult<Response>> handler)` Redis command readwrite.
    `RedisAPI` | `rename(String arg0, String arg1)` Redis command rename.
    `RedisAPI` | `rename(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command rename.
    `RedisAPI` | `renamenx(String arg0, String arg1)` Redis command renamenx.
    `RedisAPI` | `renamenx(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command renamenx.
    `RedisAPI` | `replconf(List<String> args)` Redis command replconf.
    `RedisAPI` | `replconf(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command replconf.
    `RedisAPI` | `replicaof(String arg0, String arg1)` Redis command replicaof.
    `RedisAPI` | `replicaof(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command replicaof.
    `RedisAPI` | `reset()` Redis command reset.
    `RedisAPI` | `reset(Handler<AsyncResult<Response>> handler)` Redis command reset.
    `RedisAPI` | `restore(List<String> args)` Redis command restore.
    `RedisAPI` | `restore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command restore.
    `RedisAPI` | `restoreAsking(List<String> args)` Redis command restoreAsking.
    `RedisAPI` | `restoreAsking(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command restoreAsking.
    `RedisAPI` | `role()` Redis command role.
    `RedisAPI` | `role(Handler<AsyncResult<Response>> handler)` Redis command role.
    `RedisAPI` | `rpop(List<String> args)` Redis command rpop.
    `RedisAPI` | `rpop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command rpop.
    `RedisAPI` | `rpoplpush(String arg0, String arg1)` Redis command rpoplpush.
    `RedisAPI` | `rpoplpush(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command rpoplpush.
    `RedisAPI` | `rpush(List<String> args)` Redis command rpush.
    `RedisAPI` | `rpush(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command rpush.
    `RedisAPI` | `rpushx(List<String> args)` Redis command rpushx.
    `RedisAPI` | `rpushx(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command rpushx.
    `Single<Response>` | `rxAcl(List<String> args)` Redis command acl.
    `Single<Response>` | `rxAppend(String arg0, String arg1)` Redis command append.
    `Single<Response>` | `rxAsking()` Redis command asking.
    `Single<Response>` | `rxAuth(List<String> args)` Redis command auth.
    `Single<Response>` | `rxBfAdd(List<String> args)` Redis command bfAdd.
    `Single<Response>` | `rxBfDebug(List<String> args)` Redis command bfDebug.
    `Single<Response>` | `rxBfExists(List<String> args)` Redis command bfExists.
    `Single<Response>` | `rxBfInfo(List<String> args)` Redis command bfInfo.
    `Single<Response>` | `rxBfInsert(List<String> args)` Redis command bfInsert.
    `Single<Response>` | `rxBfLoadchunk(List<String> args)` Redis command bfLoadchunk.
    `Single<Response>` | `rxBfMadd(List<String> args)` Redis command bfMadd.
    `Single<Response>` | `rxBfMexists(List<String> args)` Redis command bfMexists.
    `Single<Response>` | `rxBfReserve(List<String> args)` Redis command bfReserve.
    `Single<Response>` | `rxBfScandump(List<String> args)` Redis command bfScandump.
    `Single<Response>` | `rxBgrewriteaof()` Redis command bgrewriteaof.
    `Single<Response>` | `rxBgsave(List<String> args)` Redis command bgsave.
    `Single<Response>` | `rxBitcount(List<String> args)` Redis command bitcount.
    `Single<Response>` | `rxBitfield(List<String> args)` Redis command bitfield.
    `Single<Response>` | `rxBitfieldRo(List<String> args)` Redis command bitfieldRo.
    `Single<Response>` | `rxBitop(List<String> args)` Redis command bitop.
    `Single<Response>` | `rxBitpos(List<String> args)` Redis command bitpos.
    `Single<Response>` | `rxBlmove(String arg0, String arg1, String arg2, String arg3, String arg4)` Redis command blmove.
    `Single<Response>` | `rxBlmpop(List<String> args)` Redis command blmpop.
    `Single<Response>` | `rxBlpop(List<String> args)` Redis command blpop.
    `Single<Response>` | `rxBrpop(List<String> args)` Redis command brpop.
    `Single<Response>` | `rxBrpoplpush(String arg0, String arg1, String arg2)` Redis command brpoplpush.
    `Single<Response>` | `rxBzmpop(List<String> args)` Redis command bzmpop.
    `Single<Response>` | `rxBzpopmax(List<String> args)` Redis command bzpopmax.
    `Single<Response>` | `rxBzpopmin(List<String> args)` Redis command bzpopmin.
    `Single<Response>` | `rxCfAdd(List<String> args)` Redis command cfAdd.
    `Single<Response>` | `rxCfAddnx(List<String> args)` Redis command cfAddnx.
    `Single<Response>` | `rxCfCompact(List<String> args)` Redis command cfCompact.
    `Single<Response>` | `rxCfCount(List<String> args)` Redis command cfCount.
    `Single<Response>` | `rxCfDebug(List<String> args)` Redis command cfDebug.
    `Single<Response>` | `rxCfDel(List<String> args)` Redis command cfDel.
    `Single<Response>` | `rxCfExists(List<String> args)` Redis command cfExists.
    `Single<Response>` | `rxCfInfo(List<String> args)` Redis command cfInfo.
    `Single<Response>` | `rxCfInsert(List<String> args)` Redis command cfInsert.
    `Single<Response>` | `rxCfInsertnx(List<String> args)` Redis command cfInsertnx.
    `Single<Response>` | `rxCfLoadchunk(List<String> args)` Redis command cfLoadchunk.
    `Single<Response>` | `rxCfMexists(List<String> args)` Redis command cfMexists.
    `Single<Response>` | `rxCfReserve(List<String> args)` Redis command cfReserve.
    `Single<Response>` | `rxCfScandump(List<String> args)` Redis command cfScandump.
    `Single<Response>` | `rxClient(List<String> args)` Redis command client.
    `Single<Response>` | `rxCluster(List<String> args)` Redis command cluster.
    `Single<Response>` | `rxCmsIncrby(List<String> args)` Redis command cmsIncrby.
    `Single<Response>` | `rxCmsInfo(List<String> args)` Redis command cmsInfo.
    `Single<Response>` | `rxCmsInitbydim(List<String> args)` Redis command cmsInitbydim.
    `Single<Response>` | `rxCmsInitbyprob(List<String> args)` Redis command cmsInitbyprob.
    `Single<Response>` | `rxCmsMerge(List<String> args)` Redis command cmsMerge.
    `Single<Response>` | `rxCmsQuery(List<String> args)` Redis command cmsQuery.
    `Single<Response>` | `rxCommand(List<String> args)` Redis command command.
    `Single<Response>` | `rxConfig(List<String> args)` Redis command config.
    `Single<Response>` | `rxCopy(List<String> args)` Redis command copy.
    `Single<Response>` | `rxDbsize()` Redis command dbsize.
    `Single<Response>` | `rxDebug(List<String> args)` Redis command debug.
    `Single<Response>` | `rxDecr(String arg0)` Redis command decr.
    `Single<Response>` | `rxDecrby(String arg0, String arg1)` Redis command decrby.
    `Single<Response>` | `rxDel(List<String> args)` Redis command del.
    `Single<Response>` | `rxDiscard()` Redis command discard.
    `Single<Response>` | `rxDump(String arg0)` Redis command dump.
    `Single<Response>` | `rxEcho(String arg0)` Redis command echo.
    `Single<Response>` | `rxEval(List<String> args)` Redis command eval.
    `Single<Response>` | `rxEvalRo(List<String> args)` Redis command evalRo.
    `Single<Response>` | `rxEvalsha(List<String> args)` Redis command evalsha.
    `Single<Response>` | `rxEvalshaRo(List<String> args)` Redis command evalshaRo.
    `Single<Response>` | `rxExec()` Redis command exec.
    `Single<Response>` | `rxExists(List<String> args)` Redis command exists.
    `Single<Response>` | `rxExpire(List<String> args)` Redis command expire.
    `Single<Response>` | `rxExpireat(List<String> args)` Redis command expireat.
    `Single<Response>` | `rxExpiretime(String arg0)` Redis command expiretime.
    `Single<Response>` | `rxFailover(List<String> args)` Redis command failover.
    `Single<Response>` | `rxFcall(List<String> args)` Redis command fcall.
    `Single<Response>` | `rxFcallRo(List<String> args)` Redis command fcallRo.
    `Single<Response>` | `rxFlushall(List<String> args)` Redis command flushall.
    `Single<Response>` | `rxFlushdb(List<String> args)` Redis command flushdb.
    `Single<Response>` | `rxFtAdd(List<String> args)` Redis command ftAdd.
    `Single<Response>` | `rxFtAggregate(List<String> args)` Redis command ftAggregate.
    `Single<Response>` | `rxFtAliasadd(List<String> args)` Redis command ftAliasadd.
    `Single<Response>` | `rxFtAliasaddifnx(List<String> args)` Redis command ftAliasaddifnx.
    `Single<Response>` | `rxFtAliasdel(List<String> args)` Redis command ftAliasdel.
    `Single<Response>` | `rxFtAliasdelifx(List<String> args)` Redis command ftAliasdelifx.
    `Single<Response>` | `rxFtAliasupdate(List<String> args)` Redis command ftAliasupdate.
    `Single<Response>` | `rxFtAlter(List<String> args)` Redis command ftAlter.
    `Single<Response>` | `rxFtAlterifnx(List<String> args)` Redis command ftAlterifnx.
    `Single<Response>` | `rxFtConfig(List<String> args)` Redis command ftConfig.
    `Single<Response>` | `rxFtCreate(List<String> args)` Redis command ftCreate.
    `Single<Response>` | `rxFtCreateifnx(List<String> args)` Redis command ftCreateifnx.
    `Single<Response>` | `rxFtCursor(List<String> args)` Redis command ftCursor.
    `Single<Response>` | `rxFtDebug(List<String> args)` Redis command ftDebug.
    `Single<Response>` | `rxFtDel(List<String> args)` Redis command ftDel.
    `Single<Response>` | `rxFtDictadd(List<String> args)` Redis command ftDictadd.
    `Single<Response>` | `rxFtDictdel(List<String> args)` Redis command ftDictdel.
    `Single<Response>` | `rxFtDictdump(List<String> args)` Redis command ftDictdump.
    `Single<Response>` | `rxFtDrop(List<String> args)` Redis command ftDrop.
    `Single<Response>` | `rxFtDropifx(List<String> args)` Redis command ftDropifx.
    `Single<Response>` | `rxFtDropindex(List<String> args)` Redis command ftDropindex.
    `Single<Response>` | `rxFtDropindexifx(List<String> args)` Redis command ftDropindexifx.
    `Single<Response>` | `rxFtExplain(List<String> args)` Redis command ftExplain.
    `Single<Response>` | `rxFtExplaincli(List<String> args)` Redis command ftExplaincli.
    `Single<Response>` | `rxFtGet(List<String> args)` Redis command ftGet.
    `Single<Response>` | `rxFtInfo(List<String> args)` Redis command ftInfo.
    `Single<Response>` | `rxFtList(List<String> args)` Redis command ftList.
    `Single<Response>` | `rxFtMget(List<String> args)` Redis command ftMget.
    `Single<Response>` | `rxFtProfile(List<String> args)` Redis command ftProfile.
    `Single<Response>` | `rxFtSafeadd(List<String> args)` Redis command ftSafeadd.
    `Single<Response>` | `rxFtSearch(List<String> args)` Redis command ftSearch.
    `Single<Response>` | `rxFtSpellcheck(List<String> args)` Redis command ftSpellcheck.
    `Single<Response>` | `rxFtSugadd(List<String> args)` Redis command ftSugadd.
    `Single<Response>` | `rxFtSugdel(List<String> args)` Redis command ftSugdel.
    `Single<Response>` | `rxFtSugget(List<String> args)` Redis command ftSugget.
    `Single<Response>` | `rxFtSuglen(List<String> args)` Redis command ftSuglen.
    `Single<Response>` | `rxFtSynadd(List<String> args)` Redis command ftSynadd.
    `Single<Response>` | `rxFtSyndump(List<String> args)` Redis command ftSyndump.
    `Single<Response>` | `rxFtSynupdate(List<String> args)` Redis command ftSynupdate.
    `Single<Response>` | `rxFtTagvals(List<String> args)` Redis command ftTagvals.
    `Single<Response>` | `rxFunction(List<String> args)` Redis command function.
    `Single<Response>` | `rxGeoadd(List<String> args)` Redis command geoadd.
    `Single<Response>` | `rxGeodist(List<String> args)` Redis command geodist.
    `Single<Response>` | `rxGeohash(List<String> args)` Redis command geohash.
    `Single<Response>` | `rxGeopos(List<String> args)` Redis command geopos.
    `Single<Response>` | `rxGeoradius(List<String> args)` Redis command georadius.
    `Single<Response>` | `rxGeoradiusbymember(List<String> args)` Redis command georadiusbymember.
    `Single<Response>` | `rxGeoradiusbymemberRo(List<String> args)` Redis command georadiusbymemberRo.
    `Single<Response>` | `rxGeoradiusRo(List<String> args)` Redis command georadiusRo.
    `Single<Response>` | `rxGeosearch(List<String> args)` Redis command geosearch.
    `Single<Response>` | `rxGeosearchstore(List<String> args)` Redis command geosearchstore.
    `Single<Response>` | `rxGet(String arg0)` Redis command get.
    `Single<Response>` | `rxGetbit(String arg0, String arg1)` Redis command getbit.
    `Single<Response>` | `rxGetdel(String arg0)` Redis command getdel.
    `Single<Response>` | `rxGetex(List<String> args)` Redis command getex.
    `Single<Response>` | `rxGetrange(String arg0, String arg1, String arg2)` Redis command getrange.
    `Single<Response>` | `rxGetset(String arg0, String arg1)` Redis command getset.
    `Single<Response>` | `rxGraphBulk(List<String> args)` Redis command graphBulk.
    `Single<Response>` | `rxGraphConfig(List<String> args)` Redis command graphConfig.
    `Single<Response>` | `rxGraphDebug(List<String> args)` Redis command graphDebug.
    `Single<Response>` | `rxGraphDelete(List<String> args)` Redis command graphDelete.
    `Single<Response>` | `rxGraphExplain(List<String> args)` Redis command graphExplain.
    `Single<Response>` | `rxGraphList(List<String> args)` Redis command graphList.
    `Single<Response>` | `rxGraphProfile(List<String> args)` Redis command graphProfile.
    `Single<Response>` | `rxGraphQuery(List<String> args)` Redis command graphQuery.
    `Single<Response>` | `rxGraphRoQuery(List<String> args)` Redis command graphRoQuery.
    `Single<Response>` | `rxGraphSlowlog(List<String> args)` Redis command graphSlowlog.
    `Single<Response>` | `rxHdel(List<String> args)` Redis command hdel.
    `Single<Response>` | `rxHello(List<String> args)` Redis command hello.
    `Single<Response>` | `rxHexists(String arg0, String arg1)` Redis command hexists.
    `Single<Response>` | `rxHget(String arg0, String arg1)` Redis command hget.
    `Single<Response>` | `rxHgetall(String arg0)` Redis command hgetall.
    `Single<Response>` | `rxHincrby(String arg0, String arg1, String arg2)` Redis command hincrby.
    `Single<Response>` | `rxHincrbyfloat(String arg0, String arg1, String arg2)` Redis command hincrbyfloat.
    `Single<Response>` | `rxHkeys(String arg0)` Redis command hkeys.
    `Single<Response>` | `rxHlen(String arg0)` Redis command hlen.
    `Single<Response>` | `rxHmget(List<String> args)` Redis command hmget.
    `Single<Response>` | `rxHmset(List<String> args)` Redis command hmset.
    `Single<Response>` | `rxHrandfield(List<String> args)` Redis command hrandfield.
    `Single<Response>` | `rxHscan(List<String> args)` Redis command hscan.
    `Single<Response>` | `rxHset(List<String> args)` Redis command hset.
    `Single<Response>` | `rxHsetnx(String arg0, String arg1, String arg2)` Redis command hsetnx.
    `Single<Response>` | `rxHstrlen(String arg0, String arg1)` Redis command hstrlen.
    `Single<Response>` | `rxHvals(String arg0)` Redis command hvals.
    `Single<Response>` | `rxIncr(String arg0)` Redis command incr.
    `Single<Response>` | `rxIncrby(String arg0, String arg1)` Redis command incrby.
    `Single<Response>` | `rxIncrbyfloat(String arg0, String arg1)` Redis command incrbyfloat.
    `Single<Response>` | `rxInfo(List<String> args)` Redis command info.
    `Single<Response>` | `rxJsonArrappend(List<String> args)` Redis command jsonArrappend.
    `Single<Response>` | `rxJsonArrindex(List<String> args)` Redis command jsonArrindex.
    `Single<Response>` | `rxJsonArrinsert(List<String> args)` Redis command jsonArrinsert.
    `Single<Response>` | `rxJsonArrlen(List<String> args)` Redis command jsonArrlen.
    `Single<Response>` | `rxJsonArrpop(List<String> args)` Redis command jsonArrpop.
    `Single<Response>` | `rxJsonArrtrim(List<String> args)` Redis command jsonArrtrim.
    `Single<Response>` | `rxJsonClear(List<String> args)` Redis command jsonClear.
    `Single<Response>` | `rxJsonDebug(List<String> args)` Redis command jsonDebug.
    `Single<Response>` | `rxJsonDel(List<String> args)` Redis command jsonDel.
    `Single<Response>` | `rxJsonForget(List<String> args)` Redis command jsonForget.
    `Single<Response>` | `rxJsonGet(List<String> args)` Redis command jsonGet.
    `Single<Response>` | `rxJsonMget(List<String> args)` Redis command jsonMget.
    `Single<Response>` | `rxJsonNumincrby(List<String> args)` Redis command jsonNumincrby.
    `Single<Response>` | `rxJsonNummultby(List<String> args)` Redis command jsonNummultby.
    `Single<Response>` | `rxJsonNumpowby(List<String> args)` Redis command jsonNumpowby.
    `Single<Response>` | `rxJsonObjkeys(List<String> args)` Redis command jsonObjkeys.
    `Single<Response>` | `rxJsonObjlen(List<String> args)` Redis command jsonObjlen.
    `Single<Response>` | `rxJsonResp(List<String> args)` Redis command jsonResp.
    `Single<Response>` | `rxJsonSet(List<String> args)` Redis command jsonSet.
    `Single<Response>` | `rxJsonStrappend(List<String> args)` Redis command jsonStrappend.
    `Single<Response>` | `rxJsonStrlen(List<String> args)` Redis command jsonStrlen.
    `Single<Response>` | `rxJsonToggle(List<String> args)` Redis command jsonToggle.
    `Single<Response>` | `rxJsonType(List<String> args)` Redis command jsonType.
    `Single<Response>` | `rxKeys(String arg0)` Redis command keys.
    `Single<Response>` | `rxLastsave()` Redis command lastsave.
    `Single<Response>` | `rxLatency(List<String> args)` Redis command latency.
    `Single<Response>` | `rxLcs(List<String> args)` Redis command lcs.
    `Single<Response>` | `rxLindex(String arg0, String arg1)` Redis command lindex.
    `Single<Response>` | `rxLinsert(String arg0, String arg1, String arg2, String arg3)` Redis command linsert.
    `Single<Response>` | `rxLlen(String arg0)` Redis command llen.
    `Single<Response>` | `rxLmove(String arg0, String arg1, String arg2, String arg3)` Redis command lmove.
    `Single<Response>` | `rxLmpop(List<String> args)` Redis command lmpop.
    `Single<Response>` | `rxLolwut(List<String> args)` Redis command lolwut.
    `Single<Response>` | `rxLpop(List<String> args)` Redis command lpop.
    `Single<Response>` | `rxLpos(List<String> args)` Redis command lpos.
    `Single<Response>` | `rxLpush(List<String> args)` Redis command lpush.
    `Single<Response>` | `rxLpushx(List<String> args)` Redis command lpushx.
    `Single<Response>` | `rxLrange(String arg0, String arg1, String arg2)` Redis command lrange.
    `Single<Response>` | `rxLrem(String arg0, String arg1, String arg2)` Redis command lrem.
    `Single<Response>` | `rxLset(String arg0, String arg1, String arg2)` Redis command lset.
    `Single<Response>` | `rxLtrim(String arg0, String arg1, String arg2)` Redis command ltrim.
    `Single<Response>` | `rxMemory(List<String> args)` Redis command memory.
    `Single<Response>` | `rxMget(List<String> args)` Redis command mget.
    `Single<Response>` | `rxMigrate(List<String> args)` Redis command migrate.
    `Single<Response>` | `rxModule(List<String> args)` Redis command module.
    `Single<Response>` | `rxMonitor()` Redis command monitor.
    `Single<Response>` | `rxMove(String arg0, String arg1)` Redis command move.
    `Single<Response>` | `rxMset(List<String> args)` Redis command mset.
    `Single<Response>` | `rxMsetnx(List<String> args)` Redis command msetnx.
    `Single<Response>` | `rxMulti()` Redis command multi.
    `Single<Response>` | `rxObject(List<String> args)` Redis command object.
    `Single<Response>` | `rxPersist(String arg0)` Redis command persist.
    `Single<Response>` | `rxPexpire(List<String> args)` Redis command pexpire.
    `Single<Response>` | `rxPexpireat(List<String> args)` Redis command pexpireat.
    `Single<Response>` | `rxPexpiretime(String arg0)` Redis command pexpiretime.
    `Single<Response>` | `rxPfadd(List<String> args)` Redis command pfadd.
    `Single<Response>` | `rxPfcount(List<String> args)` Redis command pfcount.
    `Single<Response>` | `rxPfdebug(List<String> args)` Redis command pfdebug.
    `Single<Response>` | `rxPfmerge(List<String> args)` Redis command pfmerge.
    `Single<Response>` | `rxPfselftest()` Redis command pfselftest.
    `Single<Response>` | `rxPing(List<String> args)` Redis command ping.
    `Single<Response>` | `rxPsetex(String arg0, String arg1, String arg2)` Redis command psetex.
    `Single<Response>` | `rxPsubscribe(List<String> args)` Redis command psubscribe.
    `Single<Response>` | `rxPsync(List<String> args)` Redis command psync.
    `Single<Response>` | `rxPttl(String arg0)` Redis command pttl.
    `Single<Response>` | `rxPublish(String arg0, String arg1)` Redis command publish.
    `Single<Response>` | `rxPubsub(List<String> args)` Redis command pubsub.
    `Single<Response>` | `rxPunsubscribe(List<String> args)` Redis command punsubscribe.
    `Single<Response>` | `rxQuit(List<String> args)` Redis command quit.
    `Single<Response>` | `rxRandomkey()` Redis command randomkey.
    `Single<Response>` | `rxReadonly()` Redis command readonly.
    `Single<Response>` | `rxReadwrite()` Redis command readwrite.
    `Single<Response>` | `rxRename(String arg0, String arg1)` Redis command rename.
    `Single<Response>` | `rxRenamenx(String arg0, String arg1)` Redis command renamenx.
    `Single<Response>` | `rxReplconf(List<String> args)` Redis command replconf.
    `Single<Response>` | `rxReplicaof(String arg0, String arg1)` Redis command replicaof.
    `Single<Response>` | `rxReset()` Redis command reset.
    `Single<Response>` | `rxRestore(List<String> args)` Redis command restore.
    `Single<Response>` | `rxRestoreAsking(List<String> args)` Redis command restoreAsking.
    `Single<Response>` | `rxRole()` Redis command role.
    `Single<Response>` | `rxRpop(List<String> args)` Redis command rpop.
    `Single<Response>` | `rxRpoplpush(String arg0, String arg1)` Redis command rpoplpush.
    `Single<Response>` | `rxRpush(List<String> args)` Redis command rpush.
    `Single<Response>` | `rxRpushx(List<String> args)` Redis command rpushx.
    `Single<Response>` | `rxSadd(List<String> args)` Redis command sadd.
    `Single<Response>` | `rxSave()` Redis command save.
    `Single<Response>` | `rxScan(List<String> args)` Redis command scan.
    `Single<Response>` | `rxScard(String arg0)` Redis command scard.
    `Single<Response>` | `rxScript(List<String> args)` Redis command script.
    `Single<Response>` | `rxSdiff(List<String> args)` Redis command sdiff.
    `Single<Response>` | `rxSdiffstore(List<String> args)` Redis command sdiffstore.
    `Single<Response>` | `rxSelect(String arg0)` Redis command select.
    `Single<Response>` | `rxSet(List<String> args)` Redis command set.
    `Single<Response>` | `rxSetbit(String arg0, String arg1, String arg2)` Redis command setbit.
    `Single<Response>` | `rxSetex(String arg0, String arg1, String arg2)` Redis command setex.
    `Single<Response>` | `rxSetnx(String arg0, String arg1)` Redis command setnx.
    `Single<Response>` | `rxSetrange(String arg0, String arg1, String arg2)` Redis command setrange.
    `Single<Response>` | `rxShutdown(List<String> args)` Redis command shutdown.
    `Single<Response>` | `rxSinter(List<String> args)` Redis command sinter.
    `Single<Response>` | `rxSintercard(List<String> args)` Redis command sintercard.
    `Single<Response>` | `rxSinterstore(List<String> args)` Redis command sinterstore.
    `Single<Response>` | `rxSismember(String arg0, String arg1)` Redis command sismember.
    `Single<Response>` | `rxSlaveof(String arg0, String arg1)` Redis command slaveof.
    `Single<Response>` | `rxSlowlog(List<String> args)` Redis command slowlog.
    `Single<Response>` | `rxSmembers(String arg0)` Redis command smembers.
    `Single<Response>` | `rxSmismember(List<String> args)` Redis command smismember.
    `Single<Response>` | `rxSmove(String arg0, String arg1, String arg2)` Redis command smove.
    `Single<Response>` | `rxSort(List<String> args)` Redis command sort.
    `Single<Response>` | `rxSortRo(List<String> args)` Redis command sortRo.
    `Single<Response>` | `rxSpop(List<String> args)` Redis command spop.
    `Single<Response>` | `rxSpublish(String arg0, String arg1)` Redis command spublish.
    `Single<Response>` | `rxSrandmember(List<String> args)` Redis command srandmember.
    `Single<Response>` | `rxSrem(List<String> args)` Redis command srem.
    `Single<Response>` | `rxSscan(List<String> args)` Redis command sscan.
    `Single<Response>` | `rxSsubscribe(List<String> args)` Redis command ssubscribe.
    `Single<Response>` | `rxStrlen(String arg0)` Redis command strlen.
    `Single<Response>` | `rxSubscribe(List<String> args)` Redis command subscribe.
    `Single<Response>` | `rxSubstr(String arg0, String arg1, String arg2)` Redis command substr.
    `Single<Response>` | `rxSunion(List<String> args)` Redis command sunion.
    `Single<Response>` | `rxSunionstore(List<String> args)` Redis command sunionstore.
    `Single<Response>` | `rxSunsubscribe(List<String> args)` Redis command sunsubscribe.
    `Single<Response>` | `rxSwapdb(String arg0, String arg1)` Redis command swapdb.
    `Single<Response>` | `rxSync()` Redis command sync.
    `Single<Response>` | `rxTime()` Redis command time.
    `Single<Response>` | `rxTimeseriesClusterset(List<String> args)` Redis command timeseriesClusterset.
    `Single<Response>` | `rxTimeseriesClustersetfromshard(List<String> args)` Redis command timeseriesClustersetfromshard.
    `Single<Response>` | `rxTimeseriesHello(List<String> args)` Redis command timeseriesHello.
    `Single<Response>` | `rxTimeseriesInfocluster(List<String> args)` Redis command timeseriesInfocluster.
    `Single<Response>` | `rxTimeseriesInnercommunication(List<String> args)` Redis command timeseriesInnercommunication.
    `Single<Response>` | `rxTimeseriesNetworktest(List<String> args)` Redis command timeseriesNetworktest.
    `Single<Response>` | `rxTimeseriesRefreshcluster(List<String> args)` Redis command timeseriesRefreshcluster.
    `Single<Response>` | `rxTopkAdd(List<String> args)` Redis command topkAdd.
    `Single<Response>` | `rxTopkCount(List<String> args)` Redis command topkCount.
    `Single<Response>` | `rxTopkIncrby(List<String> args)` Redis command topkIncrby.
    `Single<Response>` | `rxTopkInfo(List<String> args)` Redis command topkInfo.
    `Single<Response>` | `rxTopkList(List<String> args)` Redis command topkList.
    `Single<Response>` | `rxTopkQuery(List<String> args)` Redis command topkQuery.
    `Single<Response>` | `rxTopkReserve(List<String> args)` Redis command topkReserve.
    `Single<Response>` | `rxTouch(List<String> args)` Redis command touch.
    `Single<Response>` | `rxTsAdd(List<String> args)` Redis command tsAdd.
    `Single<Response>` | `rxTsAlter(List<String> args)` Redis command tsAlter.
    `Single<Response>` | `rxTsCreate(List<String> args)` Redis command tsCreate.
    `Single<Response>` | `rxTsCreaterule(List<String> args)` Redis command tsCreaterule.
    `Single<Response>` | `rxTsDecrby(List<String> args)` Redis command tsDecrby.
    `Single<Response>` | `rxTsDel(List<String> args)` Redis command tsDel.
    `Single<Response>` | `rxTsDeleterule(List<String> args)` Redis command tsDeleterule.
    `Single<Response>` | `rxTsGet(List<String> args)` Redis command tsGet.
    `Single<Response>` | `rxTsIncrby(List<String> args)` Redis command tsIncrby.
    `Single<Response>` | `rxTsInfo(List<String> args)` Redis command tsInfo.
    `Single<Response>` | `rxTsMadd(List<String> args)` Redis command tsMadd.
    `Single<Response>` | `rxTsMget(List<String> args)` Redis command tsMget.
    `Single<Response>` | `rxTsMrange(List<String> args)` Redis command tsMrange.
    `Single<Response>` | `rxTsMrevrange(List<String> args)` Redis command tsMrevrange.
    `Single<Response>` | `rxTsQueryindex(List<String> args)` Redis command tsQueryindex.
    `Single<Response>` | `rxTsRange(List<String> args)` Redis command tsRange.
    `Single<Response>` | `rxTsRevrange(List<String> args)` Redis command tsRevrange.
    `Single<Response>` | `rxTtl(String arg0)` Redis command ttl.
    `Single<Response>` | `rxType(String arg0)` Redis command type.
    `Single<Response>` | `rxUnlink(List<String> args)` Redis command unlink.
    `Single<Response>` | `rxUnsubscribe(List<String> args)` Redis command unsubscribe.
    `Single<Response>` | `rxUnwatch()` Redis command unwatch.
    `Single<Response>` | `rxWait(String arg0, String arg1)` Redis command wait.
    `Single<Response>` | `rxWatch(List<String> args)` Redis command watch.
    `Single<Response>` | `rxXack(List<String> args)` Redis command xack.
    `Single<Response>` | `rxXadd(List<String> args)` Redis command xadd.
    `Single<Response>` | `rxXautoclaim(List<String> args)` Redis command xautoclaim.
    `Single<Response>` | `rxXclaim(List<String> args)` Redis command xclaim.
    `Single<Response>` | `rxXdel(List<String> args)` Redis command xdel.
    `Single<Response>` | `rxXgroup(List<String> args)` Redis command xgroup.
    `Single<Response>` | `rxXinfo(List<String> args)` Redis command xinfo.
    `Single<Response>` | `rxXlen(String arg0)` Redis command xlen.
    `Single<Response>` | `rxXpending(List<String> args)` Redis command xpending.
    `Single<Response>` | `rxXrange(List<String> args)` Redis command xrange.
    `Single<Response>` | `rxXread(List<String> args)` Redis command xread.
    `Single<Response>` | `rxXreadgroup(List<String> args)` Redis command xreadgroup.
    `Single<Response>` | `rxXrevrange(List<String> args)` Redis command xrevrange.
    `Single<Response>` | `rxXsetid(List<String> args)` Redis command xsetid.
    `Single<Response>` | `rxXtrim(List<String> args)` Redis command xtrim.
    `Single<Response>` | `rxZadd(List<String> args)` Redis command zadd.
    `Single<Response>` | `rxZcard(String arg0)` Redis command zcard.
    `Single<Response>` | `rxZcount(String arg0, String arg1, String arg2)` Redis command zcount.
    `Single<Response>` | `rxZdiff(List<String> args)` Redis command zdiff.
    `Single<Response>` | `rxZdiffstore(List<String> args)` Redis command zdiffstore.
    `Single<Response>` | `rxZincrby(String arg0, String arg1, String arg2)` Redis command zincrby.
    `Single<Response>` | `rxZinter(List<String> args)` Redis command zinter.
    `Single<Response>` | `rxZintercard(List<String> args)` Redis command zintercard.
    `Single<Response>` | `rxZinterstore(List<String> args)` Redis command zinterstore.
    `Single<Response>` | `rxZlexcount(String arg0, String arg1, String arg2)` Redis command zlexcount.
    `Single<Response>` | `rxZmpop(List<String> args)` Redis command zmpop.
    `Single<Response>` | `rxZmscore(List<String> args)` Redis command zmscore.
    `Single<Response>` | `rxZpopmax(List<String> args)` Redis command zpopmax.
    `Single<Response>` | `rxZpopmin(List<String> args)` Redis command zpopmin.
    `Single<Response>` | `rxZrandmember(List<String> args)` Redis command zrandmember.
    `Single<Response>` | `rxZrange(List<String> args)` Redis command zrange.
    `Single<Response>` | `rxZrangebylex(List<String> args)` Redis command zrangebylex.
    `Single<Response>` | `rxZrangebyscore(List<String> args)` Redis command zrangebyscore.
    `Single<Response>` | `rxZrangestore(List<String> args)` Redis command zrangestore.
    `Single<Response>` | `rxZrank(String arg0, String arg1)` Redis command zrank.
    `Single<Response>` | `rxZrem(List<String> args)` Redis command zrem.
    `Single<Response>` | `rxZremrangebylex(String arg0, String arg1, String arg2)` Redis command zremrangebylex.
    `Single<Response>` | `rxZremrangebyrank(String arg0, String arg1, String arg2)` Redis command zremrangebyrank.
    `Single<Response>` | `rxZremrangebyscore(String arg0, String arg1, String arg2)` Redis command zremrangebyscore.
    `Single<Response>` | `rxZrevrange(List<String> args)` Redis command zrevrange.
    `Single<Response>` | `rxZrevrangebylex(List<String> args)` Redis command zrevrangebylex.
    `Single<Response>` | `rxZrevrangebyscore(List<String> args)` Redis command zrevrangebyscore.
    `Single<Response>` | `rxZrevrank(String arg0, String arg1)` Redis command zrevrank.
    `Single<Response>` | `rxZscan(List<String> args)` Redis command zscan.
    `Single<Response>` | `rxZscore(String arg0, String arg1)` Redis command zscore.
    `Single<Response>` | `rxZunion(List<String> args)` Redis command zunion.
    `Single<Response>` | `rxZunionstore(List<String> args)` Redis command zunionstore.
    `RedisAPI` | `sadd(List<String> args)` Redis command sadd.
    `RedisAPI` | `sadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sadd.
    `RedisAPI` | `save()` Redis command save.
    `RedisAPI` | `save(Handler<AsyncResult<Response>> handler)` Redis command save.
    `RedisAPI` | `scan(List<String> args)` Redis command scan.
    `RedisAPI` | `scan(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command scan.
    `RedisAPI` | `scard(String arg0)` Redis command scard.
    `RedisAPI` | `scard(String arg0, Handler<AsyncResult<Response>> handler)` Redis command scard.
    `RedisAPI` | `script(List<String> args)` Redis command script.
    `RedisAPI` | `script(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command script.
    `RedisAPI` | `sdiff(List<String> args)` Redis command sdiff.
    `RedisAPI` | `sdiff(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sdiff.
    `RedisAPI` | `sdiffstore(List<String> args)` Redis command sdiffstore.
    `RedisAPI` | `sdiffstore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sdiffstore.
    `RedisAPI` | `select(String arg0)` Redis command select.
    `RedisAPI` | `select(String arg0, Handler<AsyncResult<Response>> handler)` Redis command select.
    `RedisAPI` | `set(List<String> args)` Redis command set.
    `RedisAPI` | `set(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command set.
    `RedisAPI` | `setbit(String arg0, String arg1, String arg2)` Redis command setbit.
    `RedisAPI` | `setbit(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command setbit.
    `RedisAPI` | `setex(String arg0, String arg1, String arg2)` Redis command setex.
    `RedisAPI` | `setex(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command setex.
    `RedisAPI` | `setnx(String arg0, String arg1)` Redis command setnx.
    `RedisAPI` | `setnx(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command setnx.
    `RedisAPI` | `setrange(String arg0, String arg1, String arg2)` Redis command setrange.
    `RedisAPI` | `setrange(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command setrange.
    `RedisAPI` | `shutdown(List<String> args)` Redis command shutdown.
    `RedisAPI` | `shutdown(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command shutdown.
    `RedisAPI` | `sinter(List<String> args)` Redis command sinter.
    `RedisAPI` | `sinter(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sinter.
    `RedisAPI` | `sintercard(List<String> args)` Redis command sintercard.
    `RedisAPI` | `sintercard(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sintercard.
    `RedisAPI` | `sinterstore(List<String> args)` Redis command sinterstore.
    `RedisAPI` | `sinterstore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sinterstore.
    `RedisAPI` | `sismember(String arg0, String arg1)` Redis command sismember.
    `RedisAPI` | `sismember(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command sismember.
    `RedisAPI` | `slaveof(String arg0, String arg1)` Redis command slaveof.
    `RedisAPI` | `slaveof(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command slaveof.
    `RedisAPI` | `slowlog(List<String> args)` Redis command slowlog.
    `RedisAPI` | `slowlog(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command slowlog.
    `RedisAPI` | `smembers(String arg0)` Redis command smembers.
    `RedisAPI` | `smembers(String arg0, Handler<AsyncResult<Response>> handler)` Redis command smembers.
    `RedisAPI` | `smismember(List<String> args)` Redis command smismember.
    `RedisAPI` | `smismember(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command smismember.
    `RedisAPI` | `smove(String arg0, String arg1, String arg2)` Redis command smove.
    `RedisAPI` | `smove(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command smove.
    `RedisAPI` | `sort(List<String> args)` Redis command sort.
    `RedisAPI` | `sort(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sort.
    `RedisAPI` | `sortRo(List<String> args)` Redis command sortRo.
    `RedisAPI` | `sortRo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sortRo.
    `RedisAPI` | `spop(List<String> args)` Redis command spop.
    `RedisAPI` | `spop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command spop.
    `RedisAPI` | `spublish(String arg0, String arg1)` Redis command spublish.
    `RedisAPI` | `spublish(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command spublish.
    `RedisAPI` | `srandmember(List<String> args)` Redis command srandmember.
    `RedisAPI` | `srandmember(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command srandmember.
    `RedisAPI` | `srem(List<String> args)` Redis command srem.
    `RedisAPI` | `srem(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command srem.
    `RedisAPI` | `sscan(List<String> args)` Redis command sscan.
    `RedisAPI` | `sscan(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sscan.
    `RedisAPI` | `ssubscribe(List<String> args)` Redis command ssubscribe.
    `RedisAPI` | `ssubscribe(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ssubscribe.
    `RedisAPI` | `strlen(String arg0)` Redis command strlen.
    `RedisAPI` | `strlen(String arg0, Handler<AsyncResult<Response>> handler)` Redis command strlen.
    `RedisAPI` | `subscribe(List<String> args)` Redis command subscribe.
    `RedisAPI` | `subscribe(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command subscribe.
    `RedisAPI` | `substr(String arg0, String arg1, String arg2)` Redis command substr.
    `RedisAPI` | `substr(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command substr.
    `RedisAPI` | `sunion(List<String> args)` Redis command sunion.
    `RedisAPI` | `sunion(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sunion.
    `RedisAPI` | `sunionstore(List<String> args)` Redis command sunionstore.
    `RedisAPI` | `sunionstore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sunionstore.
    `RedisAPI` | `sunsubscribe(List<String> args)` Redis command sunsubscribe.
    `RedisAPI` | `sunsubscribe(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sunsubscribe.
    `RedisAPI` | `swapdb(String arg0, String arg1)` Redis command swapdb.
    `RedisAPI` | `swapdb(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command swapdb.
    `RedisAPI` | `sync()` Redis command sync.
    `RedisAPI` | `sync(Handler<AsyncResult<Response>> handler)` Redis command sync.
    `RedisAPI` | `time()` Redis command time.
    `RedisAPI` | `time(Handler<AsyncResult<Response>> handler)` Redis command time.
    `RedisAPI` | `timeseriesClusterset(List<String> args)` Redis command timeseriesClusterset.
    `RedisAPI` | `timeseriesClusterset(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command timeseriesClusterset.
    `RedisAPI` | `timeseriesClustersetfromshard(List<String> args)` Redis command timeseriesClustersetfromshard.
    `RedisAPI` | `timeseriesClustersetfromshard(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command timeseriesClustersetfromshard.
    `RedisAPI` | `timeseriesHello(List<String> args)` Redis command timeseriesHello.
    `RedisAPI` | `timeseriesHello(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command timeseriesHello.
    `RedisAPI` | `timeseriesInfocluster(List<String> args)` Redis command timeseriesInfocluster.
    `RedisAPI` | `timeseriesInfocluster(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command timeseriesInfocluster.
    `RedisAPI` | `timeseriesInnercommunication(List<String> args)` Redis command timeseriesInnercommunication.
    `RedisAPI` | `timeseriesInnercommunication(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command timeseriesInnercommunication.
    `RedisAPI` | `timeseriesNetworktest(List<String> args)` Redis command timeseriesNetworktest.
    `RedisAPI` | `timeseriesNetworktest(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command timeseriesNetworktest.
    `RedisAPI` | `timeseriesRefreshcluster(List<String> args)` Redis command timeseriesRefreshcluster.
    `RedisAPI` | `timeseriesRefreshcluster(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command timeseriesRefreshcluster.
    `RedisAPI` | `topkAdd(List<String> args)` Redis command topkAdd.
    `RedisAPI` | `topkAdd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command topkAdd.
    `RedisAPI` | `topkCount(List<String> args)` Redis command topkCount.
    `RedisAPI` | `topkCount(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command topkCount.
    `RedisAPI` | `topkIncrby(List<String> args)` Redis command topkIncrby.
    `RedisAPI` | `topkIncrby(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command topkIncrby.
    `RedisAPI` | `topkInfo(List<String> args)` Redis command topkInfo.
    `RedisAPI` | `topkInfo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command topkInfo.
    `RedisAPI` | `topkList(List<String> args)` Redis command topkList.
    `RedisAPI` | `topkList(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command topkList.
    `RedisAPI` | `topkQuery(List<String> args)` Redis command topkQuery.
    `RedisAPI` | `topkQuery(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command topkQuery.
    `RedisAPI` | `topkReserve(List<String> args)` Redis command topkReserve.
    `RedisAPI` | `topkReserve(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command topkReserve.
    `String` | `toString()`
    `RedisAPI` | `touch(List<String> args)` Redis command touch.
    `RedisAPI` | `touch(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command touch.
    `RedisAPI` | `tsAdd(List<String> args)` Redis command tsAdd.
    `RedisAPI` | `tsAdd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsAdd.
    `RedisAPI` | `tsAlter(List<String> args)` Redis command tsAlter.
    `RedisAPI` | `tsAlter(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsAlter.
    `RedisAPI` | `tsCreate(List<String> args)` Redis command tsCreate.
    `RedisAPI` | `tsCreate(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsCreate.
    `RedisAPI` | `tsCreaterule(List<String> args)` Redis command tsCreaterule.
    `RedisAPI` | `tsCreaterule(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsCreaterule.
    `RedisAPI` | `tsDecrby(List<String> args)` Redis command tsDecrby.
    `RedisAPI` | `tsDecrby(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsDecrby.
    `RedisAPI` | `tsDel(List<String> args)` Redis command tsDel.
    `RedisAPI` | `tsDel(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsDel.
    `RedisAPI` | `tsDeleterule(List<String> args)` Redis command tsDeleterule.
    `RedisAPI` | `tsDeleterule(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsDeleterule.
    `RedisAPI` | `tsGet(List<String> args)` Redis command tsGet.
    `RedisAPI` | `tsGet(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsGet.
    `RedisAPI` | `tsIncrby(List<String> args)` Redis command tsIncrby.
    `RedisAPI` | `tsIncrby(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsIncrby.
    `RedisAPI` | `tsInfo(List<String> args)` Redis command tsInfo.
    `RedisAPI` | `tsInfo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsInfo.
    `RedisAPI` | `tsMadd(List<String> args)` Redis command tsMadd.
    `RedisAPI` | `tsMadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsMadd.
    `RedisAPI` | `tsMget(List<String> args)` Redis command tsMget.
    `RedisAPI` | `tsMget(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsMget.
    `RedisAPI` | `tsMrange(List<String> args)` Redis command tsMrange.
    `RedisAPI` | `tsMrange(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsMrange.
    `RedisAPI` | `tsMrevrange(List<String> args)` Redis command tsMrevrange.
    `RedisAPI` | `tsMrevrange(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsMrevrange.
    `RedisAPI` | `tsQueryindex(List<String> args)` Redis command tsQueryindex.
    `RedisAPI` | `tsQueryindex(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsQueryindex.
    `RedisAPI` | `tsRange(List<String> args)` Redis command tsRange.
    `RedisAPI` | `tsRange(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsRange.
    `RedisAPI` | `tsRevrange(List<String> args)` Redis command tsRevrange.
    `RedisAPI` | `tsRevrange(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command tsRevrange.
    `RedisAPI` | `ttl(String arg0)` Redis command ttl.
    `RedisAPI` | `ttl(String arg0, Handler<AsyncResult<Response>> handler)` Redis command ttl.
    `RedisAPI` | `type(String arg0)` Redis command type.
    `RedisAPI` | `type(String arg0, Handler<AsyncResult<Response>> handler)` Redis command type.
    `RedisAPI` | `unlink(List<String> args)` Redis command unlink.
    `RedisAPI` | `unlink(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command unlink.
    `RedisAPI` | `unsubscribe(List<String> args)` Redis command unsubscribe.
    `RedisAPI` | `unsubscribe(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command unsubscribe.
    `RedisAPI` | `unwatch()` Redis command unwatch.
    `RedisAPI` | `unwatch(Handler<AsyncResult<Response>> handler)` Redis command unwatch.
    `RedisAPI` | `wait(String arg0, String arg1)` Redis command wait.
    `RedisAPI` | `wait(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command wait.
    `RedisAPI` | `watch(List<String> args)` Redis command watch.
    `RedisAPI` | `watch(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command watch.
    `RedisAPI` | `xack(List<String> args)` Redis command xack.
    `RedisAPI` | `xack(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xack.
    `RedisAPI` | `xadd(List<String> args)` Redis command xadd.
    `RedisAPI` | `xadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xadd.
    `RedisAPI` | `xautoclaim(List<String> args)` Redis command xautoclaim.
    `RedisAPI` | `xautoclaim(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xautoclaim.
    `RedisAPI` | `xclaim(List<String> args)` Redis command xclaim.
    `RedisAPI` | `xclaim(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xclaim.
    `RedisAPI` | `xdel(List<String> args)` Redis command xdel.
    `RedisAPI` | `xdel(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xdel.
    `RedisAPI` | `xgroup(List<String> args)` Redis command xgroup.
    `RedisAPI` | `xgroup(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xgroup.
    `RedisAPI` | `xinfo(List<String> args)` Redis command xinfo.
    `RedisAPI` | `xinfo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xinfo.
    `RedisAPI` | `xlen(String arg0)` Redis command xlen.
    `RedisAPI` | `xlen(String arg0, Handler<AsyncResult<Response>> handler)` Redis command xlen.
    `RedisAPI` | `xpending(List<String> args)` Redis command xpending.
    `RedisAPI` | `xpending(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xpending.
    `RedisAPI` | `xrange(List<String> args)` Redis command xrange.
    `RedisAPI` | `xrange(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xrange.
    `RedisAPI` | `xread(List<String> args)` Redis command xread.
    `RedisAPI` | `xread(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xread.
    `RedisAPI` | `xreadgroup(List<String> args)` Redis command xreadgroup.
    `RedisAPI` | `xreadgroup(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xreadgroup.
    `RedisAPI` | `xrevrange(List<String> args)` Redis command xrevrange.
    `RedisAPI` | `xrevrange(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xrevrange.
    `RedisAPI` | `xsetid(List<String> args)` Redis command xsetid.
    `RedisAPI` | `xsetid(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xsetid.
    `RedisAPI` | `xtrim(List<String> args)` Redis command xtrim.
    `RedisAPI` | `xtrim(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xtrim.
    `RedisAPI` | `zadd(List<String> args)` Redis command zadd.
    `RedisAPI` | `zadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zadd.
    `RedisAPI` | `zcard(String arg0)` Redis command zcard.
    `RedisAPI` | `zcard(String arg0, Handler<AsyncResult<Response>> handler)` Redis command zcard.
    `RedisAPI` | `zcount(String arg0, String arg1, String arg2)` Redis command zcount.
    `RedisAPI` | `zcount(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command zcount.
    `RedisAPI` | `zdiff(List<String> args)` Redis command zdiff.
    `RedisAPI` | `zdiff(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zdiff.
    `RedisAPI` | `zdiffstore(List<String> args)` Redis command zdiffstore.
    `RedisAPI` | `zdiffstore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zdiffstore.
    `RedisAPI` | `zincrby(String arg0, String arg1, String arg2)` Redis command zincrby.
    `RedisAPI` | `zincrby(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command zincrby.
    `RedisAPI` | `zinter(List<String> args)` Redis command zinter.
    `RedisAPI` | `zinter(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zinter.
    `RedisAPI` | `zintercard(List<String> args)` Redis command zintercard.
    `RedisAPI` | `zintercard(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zintercard.
    `RedisAPI` | `zinterstore(List<String> args)` Redis command zinterstore.
    `RedisAPI` | `zinterstore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zinterstore.
    `RedisAPI` | `zlexcount(String arg0, String arg1, String arg2)` Redis command zlexcount.
    `RedisAPI` | `zlexcount(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command zlexcount.
    `RedisAPI` | `zmpop(List<String> args)` Redis command zmpop.
    `RedisAPI` | `zmpop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zmpop.
    `RedisAPI` | `zmscore(List<String> args)` Redis command zmscore.
    `RedisAPI` | `zmscore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zmscore.
    `RedisAPI` | `zpopmax(List<String> args)` Redis command zpopmax.
    `RedisAPI` | `zpopmax(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zpopmax.
    `RedisAPI` | `zpopmin(List<String> args)` Redis command zpopmin.
    `RedisAPI` | `zpopmin(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zpopmin.
    `RedisAPI` | `zrandmember(List<String> args)` Redis command zrandmember.
    `RedisAPI` | `zrandmember(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrandmember.
    `RedisAPI` | `zrange(List<String> args)` Redis command zrange.
    `RedisAPI` | `zrange(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrange.
    `RedisAPI` | `zrangebylex(List<String> args)` Redis command zrangebylex.
    `RedisAPI` | `zrangebylex(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrangebylex.
    `RedisAPI` | `zrangebyscore(List<String> args)` Redis command zrangebyscore.
    `RedisAPI` | `zrangebyscore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrangebyscore.
    `RedisAPI` | `zrangestore(List<String> args)` Redis command zrangestore.
    `RedisAPI` | `zrangestore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrangestore.
    `RedisAPI` | `zrank(String arg0, String arg1)` Redis command zrank.
    `RedisAPI` | `zrank(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command zrank.
    `RedisAPI` | `zrem(List<String> args)` Redis command zrem.
    `RedisAPI` | `zrem(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrem.
    `RedisAPI` | `zremrangebylex(String arg0, String arg1, String arg2)` Redis command zremrangebylex.
    `RedisAPI` | `zremrangebylex(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command zremrangebylex.
    `RedisAPI` | `zremrangebyrank(String arg0, String arg1, String arg2)` Redis command zremrangebyrank.
    `RedisAPI` | `zremrangebyrank(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command zremrangebyrank.
    `RedisAPI` | `zremrangebyscore(String arg0, String arg1, String arg2)` Redis command zremrangebyscore.
    `RedisAPI` | `zremrangebyscore(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command zremrangebyscore.
    `RedisAPI` | `zrevrange(List<String> args)` Redis command zrevrange.
    `RedisAPI` | `zrevrange(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrevrange.
    `RedisAPI` | `zrevrangebylex(List<String> args)` Redis command zrevrangebylex.
    `RedisAPI` | `zrevrangebylex(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrevrangebylex.
    `RedisAPI` | `zrevrangebyscore(List<String> args)` Redis command zrevrangebyscore.
    `RedisAPI` | `zrevrangebyscore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrevrangebyscore.
    `RedisAPI` | `zrevrank(String arg0, String arg1)` Redis command zrevrank.
    `RedisAPI` | `zrevrank(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command zrevrank.
    `RedisAPI` | `zscan(List<String> args)` Redis command zscan.
    `RedisAPI` | `zscan(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zscan.
    `RedisAPI` | `zscore(String arg0, String arg1)` Redis command zscore.
    `RedisAPI` | `zscore(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command zscore.
    `RedisAPI` | `zunion(List<String> args)` Redis command zunion.
    `RedisAPI` | `zunion(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zunion.
    `RedisAPI` | `zunionstore(List<String> args)` Redis command zunionstore.
    `RedisAPI` | `zunionstore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zunionstore.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RedisAPI> __TYPE_ARG

  - ### Constructor Detail

    - #### RedisAPI

          public RedisAPI(RedisAPI delegate)

    - #### RedisAPI

          public RedisAPI(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RedisAPI getDelegate()

    - #### close

          public void close()

    - #### ftAdd

          public RedisAPI ftAdd(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command ftAdd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftAdd

          public RedisAPI ftAdd(List<String> args)

      Redis command ftAdd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtAdd

          public Single<Response> rxFtAdd(List<String> args)

      Redis command ftAdd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftAggregate

          public RedisAPI ftAggregate(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command ftAggregate.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftAggregate

          public RedisAPI ftAggregate(List<String> args)

      Redis command ftAggregate.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtAggregate

          public Single<Response> rxFtAggregate(List<String> args)

      Redis command ftAggregate.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftAliasadd

          public RedisAPI ftAliasadd(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command ftAliasadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftAliasadd

          public RedisAPI ftAliasadd(List<String> args)

      Redis command ftAliasadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtAliasadd

          public Single<Response> rxFtAliasadd(List<String> args)

      Redis command ftAliasadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftAliasdel

          public RedisAPI ftAliasdel(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command ftAliasdel.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftAliasdel

          public RedisAPI ftAliasdel(List<String> args)

      Redis command ftAliasdel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtAliasdel

          public Single<Response> rxFtAliasdel(List<String> args)

      Redis command ftAliasdel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftAliasupdate

          public RedisAPI ftAliasupdate(List<String> args,
                                        Handler<AsyncResult<Response>> handler)

      Redis command ftAliasupdate.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftAliasupdate

          public RedisAPI ftAliasupdate(List<String> args)

      Redis command ftAliasupdate.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtAliasupdate

          public Single<Response> rxFtAliasupdate(List<String> args)

      Redis command ftAliasupdate.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftAlter

          public RedisAPI ftAlter(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command ftAlter.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftAlter

          public RedisAPI ftAlter(List<String> args)

      Redis command ftAlter.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtAlter

          public Single<Response> rxFtAlter(List<String> args)

      Redis command ftAlter.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftConfig

          public RedisAPI ftConfig(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command ftConfig.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftConfig

          public RedisAPI ftConfig(List<String> args)

      Redis command ftConfig.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtConfig

          public Single<Response> rxFtConfig(List<String> args)

      Redis command ftConfig.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftCreate

          public RedisAPI ftCreate(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command ftCreate.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftCreate

          public RedisAPI ftCreate(List<String> args)

      Redis command ftCreate.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtCreate

          public Single<Response> rxFtCreate(List<String> args)

      Redis command ftCreate.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftCursor

          public RedisAPI ftCursor(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command ftCursor.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftCursor

          public RedisAPI ftCursor(List<String> args)

      Redis command ftCursor.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtCursor

          public Single<Response> rxFtCursor(List<String> args)

      Redis command ftCursor.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftDebug

          public RedisAPI ftDebug(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command ftDebug.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftDebug

          public RedisAPI ftDebug(List<String> args)

      Redis command ftDebug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtDebug

          public Single<Response> rxFtDebug(List<String> args)

      Redis command ftDebug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftDel

          public RedisAPI ftDel(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command ftDel.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftDel

          public RedisAPI ftDel(List<String> args)

      Redis command ftDel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtDel

          public Single<Response> rxFtDel(List<String> args)

      Redis command ftDel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftDictadd

          public RedisAPI ftDictadd(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command ftDictadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftDictadd

          public RedisAPI ftDictadd(List<String> args)

      Redis command ftDictadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtDictadd

          public Single<Response> rxFtDictadd(List<String> args)

      Redis command ftDictadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftDictdel

          public RedisAPI ftDictdel(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command ftDictdel.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftDictdel

          public RedisAPI ftDictdel(List<String> args)

      Redis command ftDictdel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtDictdel

          public Single<Response> rxFtDictdel(List<String> args)

      Redis command ftDictdel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftDictdump

          public RedisAPI ftDictdump(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command ftDictdump.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftDictdump

          public RedisAPI ftDictdump(List<String> args)

      Redis command ftDictdump.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtDictdump

          public Single<Response> rxFtDictdump(List<String> args)

      Redis command ftDictdump.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftDrop

          public RedisAPI ftDrop(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command ftDrop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftDrop

          public RedisAPI ftDrop(List<String> args)

      Redis command ftDrop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtDrop

          public Single<Response> rxFtDrop(List<String> args)

      Redis command ftDrop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftDropindex

          public RedisAPI ftDropindex(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command ftDropindex.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftDropindex

          public RedisAPI ftDropindex(List<String> args)

      Redis command ftDropindex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtDropindex

          public Single<Response> rxFtDropindex(List<String> args)

      Redis command ftDropindex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftExplain

          public RedisAPI ftExplain(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command ftExplain.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftExplain

          public RedisAPI ftExplain(List<String> args)

      Redis command ftExplain.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtExplain

          public Single<Response> rxFtExplain(List<String> args)

      Redis command ftExplain.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftExplaincli

          public RedisAPI ftExplaincli(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command ftExplaincli.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftExplaincli

          public RedisAPI ftExplaincli(List<String> args)

      Redis command ftExplaincli.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtExplaincli

          public Single<Response> rxFtExplaincli(List<String> args)

      Redis command ftExplaincli.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftGet

          public RedisAPI ftGet(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command ftGet.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftGet

          public RedisAPI ftGet(List<String> args)

      Redis command ftGet.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtGet

          public Single<Response> rxFtGet(List<String> args)

      Redis command ftGet.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftInfo

          public RedisAPI ftInfo(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command ftInfo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftInfo

          public RedisAPI ftInfo(List<String> args)

      Redis command ftInfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtInfo

          public Single<Response> rxFtInfo(List<String> args)

      Redis command ftInfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftMget

          public RedisAPI ftMget(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command ftMget.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftMget

          public RedisAPI ftMget(List<String> args)

      Redis command ftMget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtMget

          public Single<Response> rxFtMget(List<String> args)

      Redis command ftMget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftProfile

          public RedisAPI ftProfile(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command ftProfile.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftProfile

          public RedisAPI ftProfile(List<String> args)

      Redis command ftProfile.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtProfile

          public Single<Response> rxFtProfile(List<String> args)

      Redis command ftProfile.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftSafeadd

          public RedisAPI ftSafeadd(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command ftSafeadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftSafeadd

          public RedisAPI ftSafeadd(List<String> args)

      Redis command ftSafeadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtSafeadd

          public Single<Response> rxFtSafeadd(List<String> args)

      Redis command ftSafeadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftSearch

          public RedisAPI ftSearch(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command ftSearch.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftSearch

          public RedisAPI ftSearch(List<String> args)

      Redis command ftSearch.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtSearch

          public Single<Response> rxFtSearch(List<String> args)

      Redis command ftSearch.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftSpellcheck

          public RedisAPI ftSpellcheck(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command ftSpellcheck.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftSpellcheck

          public RedisAPI ftSpellcheck(List<String> args)

      Redis command ftSpellcheck.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtSpellcheck

          public Single<Response> rxFtSpellcheck(List<String> args)

      Redis command ftSpellcheck.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftSugadd

          public RedisAPI ftSugadd(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command ftSugadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftSugadd

          public RedisAPI ftSugadd(List<String> args)

      Redis command ftSugadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtSugadd

          public Single<Response> rxFtSugadd(List<String> args)

      Redis command ftSugadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftSugdel

          public RedisAPI ftSugdel(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command ftSugdel.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftSugdel

          public RedisAPI ftSugdel(List<String> args)

      Redis command ftSugdel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtSugdel

          public Single<Response> rxFtSugdel(List<String> args)

      Redis command ftSugdel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftSugget

          public RedisAPI ftSugget(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command ftSugget.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftSugget

          public RedisAPI ftSugget(List<String> args)

      Redis command ftSugget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtSugget

          public Single<Response> rxFtSugget(List<String> args)

      Redis command ftSugget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftSuglen

          public RedisAPI ftSuglen(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command ftSuglen.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftSuglen

          public RedisAPI ftSuglen(List<String> args)

      Redis command ftSuglen.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtSuglen

          public Single<Response> rxFtSuglen(List<String> args)

      Redis command ftSuglen.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftSynadd

          public RedisAPI ftSynadd(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command ftSynadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftSynadd

          public RedisAPI ftSynadd(List<String> args)

      Redis command ftSynadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtSynadd

          public Single<Response> rxFtSynadd(List<String> args)

      Redis command ftSynadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftSyndump

          public RedisAPI ftSyndump(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command ftSyndump.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftSyndump

          public RedisAPI ftSyndump(List<String> args)

      Redis command ftSyndump.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtSyndump

          public Single<Response> rxFtSyndump(List<String> args)

      Redis command ftSyndump.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftSynupdate

          public RedisAPI ftSynupdate(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command ftSynupdate.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftSynupdate

          public RedisAPI ftSynupdate(List<String> args)

      Redis command ftSynupdate.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtSynupdate

          public Single<Response> rxFtSynupdate(List<String> args)

      Redis command ftSynupdate.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftTagvals

          public RedisAPI ftTagvals(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command ftTagvals.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftTagvals

          public RedisAPI ftTagvals(List<String> args)

      Redis command ftTagvals.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtTagvals

          public Single<Response> rxFtTagvals(List<String> args)

      Redis command ftTagvals.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftAliasaddifnx

          public RedisAPI ftAliasaddifnx(List<String> args,
                                         Handler<AsyncResult<Response>> handler)

      Redis command ftAliasaddifnx.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftAliasaddifnx

          public RedisAPI ftAliasaddifnx(List<String> args)

      Redis command ftAliasaddifnx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtAliasaddifnx

          public Single<Response> rxFtAliasaddifnx(List<String> args)

      Redis command ftAliasaddifnx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftAliasdelifx

          public RedisAPI ftAliasdelifx(List<String> args,
                                        Handler<AsyncResult<Response>> handler)

      Redis command ftAliasdelifx.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftAliasdelifx

          public RedisAPI ftAliasdelifx(List<String> args)

      Redis command ftAliasdelifx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtAliasdelifx

          public Single<Response> rxFtAliasdelifx(List<String> args)

      Redis command ftAliasdelifx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftAlterifnx

          public RedisAPI ftAlterifnx(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command ftAlterifnx.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftAlterifnx

          public RedisAPI ftAlterifnx(List<String> args)

      Redis command ftAlterifnx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtAlterifnx

          public Single<Response> rxFtAlterifnx(List<String> args)

      Redis command ftAlterifnx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftCreateifnx

          public RedisAPI ftCreateifnx(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command ftCreateifnx.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftCreateifnx

          public RedisAPI ftCreateifnx(List<String> args)

      Redis command ftCreateifnx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtCreateifnx

          public Single<Response> rxFtCreateifnx(List<String> args)

      Redis command ftCreateifnx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftDropifx

          public RedisAPI ftDropifx(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command ftDropifx.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftDropifx

          public RedisAPI ftDropifx(List<String> args)

      Redis command ftDropifx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtDropifx

          public Single<Response> rxFtDropifx(List<String> args)

      Redis command ftDropifx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftDropindexifx

          public RedisAPI ftDropindexifx(List<String> args,
                                         Handler<AsyncResult<Response>> handler)

      Redis command ftDropindexifx.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftDropindexifx

          public RedisAPI ftDropindexifx(List<String> args)

      Redis command ftDropindexifx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtDropindexifx

          public Single<Response> rxFtDropindexifx(List<String> args)

      Redis command ftDropindexifx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ftList

          public RedisAPI ftList(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command ftList.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ftList

          public RedisAPI ftList(List<String> args)

      Redis command ftList.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFtList

          public Single<Response> rxFtList(List<String> args)

      Redis command ftList.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### acl

          public RedisAPI acl(List<String> args,
                              Handler<AsyncResult<Response>> handler)

      Redis command acl.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### acl

          public RedisAPI acl(List<String> args)

      Redis command acl.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxAcl

          public Single<Response> rxAcl(List<String> args)

      Redis command acl.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### append

          public RedisAPI append(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command append.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### append

          public RedisAPI append(String arg0,
                                 String arg1)

      Redis command append.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxAppend

          public Single<Response> rxAppend(String arg0,
                                           String arg1)

      Redis command append.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### asking

          public RedisAPI asking(Handler<AsyncResult<Response>> handler)

      Redis command asking.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### asking

          public RedisAPI asking()

      Redis command asking.
      Returns:
        fluent self

    - #### rxAsking

          public Single<Response> rxAsking()

      Redis command asking.
      Returns:
        fluent self

    - #### auth

          public RedisAPI auth(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command auth.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### auth

          public RedisAPI auth(List<String> args)

      Redis command auth.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxAuth

          public Single<Response> rxAuth(List<String> args)

      Redis command auth.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bfAdd

          public RedisAPI bfAdd(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command bfAdd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bfAdd

          public RedisAPI bfAdd(List<String> args)

      Redis command bfAdd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBfAdd

          public Single<Response> rxBfAdd(List<String> args)

      Redis command bfAdd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bfDebug

          public RedisAPI bfDebug(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command bfDebug.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bfDebug

          public RedisAPI bfDebug(List<String> args)

      Redis command bfDebug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBfDebug

          public Single<Response> rxBfDebug(List<String> args)

      Redis command bfDebug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bfExists

          public RedisAPI bfExists(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command bfExists.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bfExists

          public RedisAPI bfExists(List<String> args)

      Redis command bfExists.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBfExists

          public Single<Response> rxBfExists(List<String> args)

      Redis command bfExists.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bfInfo

          public RedisAPI bfInfo(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command bfInfo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bfInfo

          public RedisAPI bfInfo(List<String> args)

      Redis command bfInfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBfInfo

          public Single<Response> rxBfInfo(List<String> args)

      Redis command bfInfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bfInsert

          public RedisAPI bfInsert(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command bfInsert.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bfInsert

          public RedisAPI bfInsert(List<String> args)

      Redis command bfInsert.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBfInsert

          public Single<Response> rxBfInsert(List<String> args)

      Redis command bfInsert.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bfLoadchunk

          public RedisAPI bfLoadchunk(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command bfLoadchunk.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bfLoadchunk

          public RedisAPI bfLoadchunk(List<String> args)

      Redis command bfLoadchunk.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBfLoadchunk

          public Single<Response> rxBfLoadchunk(List<String> args)

      Redis command bfLoadchunk.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bfMadd

          public RedisAPI bfMadd(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command bfMadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bfMadd

          public RedisAPI bfMadd(List<String> args)

      Redis command bfMadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBfMadd

          public Single<Response> rxBfMadd(List<String> args)

      Redis command bfMadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bfMexists

          public RedisAPI bfMexists(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command bfMexists.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bfMexists

          public RedisAPI bfMexists(List<String> args)

      Redis command bfMexists.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBfMexists

          public Single<Response> rxBfMexists(List<String> args)

      Redis command bfMexists.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bfReserve

          public RedisAPI bfReserve(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command bfReserve.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bfReserve

          public RedisAPI bfReserve(List<String> args)

      Redis command bfReserve.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBfReserve

          public Single<Response> rxBfReserve(List<String> args)

      Redis command bfReserve.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bfScandump

          public RedisAPI bfScandump(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command bfScandump.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bfScandump

          public RedisAPI bfScandump(List<String> args)

      Redis command bfScandump.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBfScandump

          public Single<Response> rxBfScandump(List<String> args)

      Redis command bfScandump.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bgrewriteaof

          public RedisAPI bgrewriteaof(Handler<AsyncResult<Response>> handler)

      Redis command bgrewriteaof.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### bgrewriteaof

          public RedisAPI bgrewriteaof()

      Redis command bgrewriteaof.
      Returns:
        fluent self

    - #### rxBgrewriteaof

          public Single<Response> rxBgrewriteaof()

      Redis command bgrewriteaof.
      Returns:
        fluent self

    - #### bgsave

          public RedisAPI bgsave(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command bgsave.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bgsave

          public RedisAPI bgsave(List<String> args)

      Redis command bgsave.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBgsave

          public Single<Response> rxBgsave(List<String> args)

      Redis command bgsave.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bitcount

          public RedisAPI bitcount(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command bitcount.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bitcount

          public RedisAPI bitcount(List<String> args)

      Redis command bitcount.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBitcount

          public Single<Response> rxBitcount(List<String> args)

      Redis command bitcount.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bitfield

          public RedisAPI bitfield(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command bitfield.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bitfield

          public RedisAPI bitfield(List<String> args)

      Redis command bitfield.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBitfield

          public Single<Response> rxBitfield(List<String> args)

      Redis command bitfield.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bitfieldRo

          public RedisAPI bitfieldRo(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command bitfieldRo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bitfieldRo

          public RedisAPI bitfieldRo(List<String> args)

      Redis command bitfieldRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBitfieldRo

          public Single<Response> rxBitfieldRo(List<String> args)

      Redis command bitfieldRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bitop

          public RedisAPI bitop(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command bitop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bitop

          public RedisAPI bitop(List<String> args)

      Redis command bitop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBitop

          public Single<Response> rxBitop(List<String> args)

      Redis command bitop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bitpos

          public RedisAPI bitpos(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command bitpos.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bitpos

          public RedisAPI bitpos(List<String> args)

      Redis command bitpos.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBitpos

          public Single<Response> rxBitpos(List<String> args)

      Redis command bitpos.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### blmove

          public RedisAPI blmove(String arg0,
                                 String arg1,
                                 String arg2,
                                 String arg3,
                                 String arg4,
                                 Handler<AsyncResult<Response>> handler)

      Redis command blmove.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
        `arg4` -
        `handler` -
      Returns:
        fluent self

    - #### blmove

          public RedisAPI blmove(String arg0,
                                 String arg1,
                                 String arg2,
                                 String arg3,
                                 String arg4)

      Redis command blmove.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
        `arg4` -
      Returns:
        fluent self

    - #### rxBlmove

          public Single<Response> rxBlmove(String arg0,
                                           String arg1,
                                           String arg2,
                                           String arg3,
                                           String arg4)

      Redis command blmove.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
        `arg4` -
      Returns:
        fluent self

    - #### blmpop

          public RedisAPI blmpop(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command blmpop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### blmpop

          public RedisAPI blmpop(List<String> args)

      Redis command blmpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBlmpop

          public Single<Response> rxBlmpop(List<String> args)

      Redis command blmpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### blpop

          public RedisAPI blpop(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command blpop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### blpop

          public RedisAPI blpop(List<String> args)

      Redis command blpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBlpop

          public Single<Response> rxBlpop(List<String> args)

      Redis command blpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### brpop

          public RedisAPI brpop(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command brpop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### brpop

          public RedisAPI brpop(List<String> args)

      Redis command brpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBrpop

          public Single<Response> rxBrpop(List<String> args)

      Redis command brpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### brpoplpush

          public RedisAPI brpoplpush(String arg0,
                                     String arg1,
                                     String arg2,
                                     Handler<AsyncResult<Response>> handler)

      Redis command brpoplpush.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### brpoplpush

          public RedisAPI brpoplpush(String arg0,
                                     String arg1,
                                     String arg2)

      Redis command brpoplpush.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxBrpoplpush

          public Single<Response> rxBrpoplpush(String arg0,
                                               String arg1,
                                               String arg2)

      Redis command brpoplpush.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### bzmpop

          public RedisAPI bzmpop(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command bzmpop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bzmpop

          public RedisAPI bzmpop(List<String> args)

      Redis command bzmpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBzmpop

          public Single<Response> rxBzmpop(List<String> args)

      Redis command bzmpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bzpopmax

          public RedisAPI bzpopmax(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command bzpopmax.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bzpopmax

          public RedisAPI bzpopmax(List<String> args)

      Redis command bzpopmax.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBzpopmax

          public Single<Response> rxBzpopmax(List<String> args)

      Redis command bzpopmax.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bzpopmin

          public RedisAPI bzpopmin(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command bzpopmin.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bzpopmin

          public RedisAPI bzpopmin(List<String> args)

      Redis command bzpopmin.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBzpopmin

          public Single<Response> rxBzpopmin(List<String> args)

      Redis command bzpopmin.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cfAdd

          public RedisAPI cfAdd(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command cfAdd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cfAdd

          public RedisAPI cfAdd(List<String> args)

      Redis command cfAdd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCfAdd

          public Single<Response> rxCfAdd(List<String> args)

      Redis command cfAdd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cfAddnx

          public RedisAPI cfAddnx(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command cfAddnx.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cfAddnx

          public RedisAPI cfAddnx(List<String> args)

      Redis command cfAddnx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCfAddnx

          public Single<Response> rxCfAddnx(List<String> args)

      Redis command cfAddnx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cfCompact

          public RedisAPI cfCompact(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command cfCompact.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cfCompact

          public RedisAPI cfCompact(List<String> args)

      Redis command cfCompact.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCfCompact

          public Single<Response> rxCfCompact(List<String> args)

      Redis command cfCompact.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cfCount

          public RedisAPI cfCount(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command cfCount.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cfCount

          public RedisAPI cfCount(List<String> args)

      Redis command cfCount.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCfCount

          public Single<Response> rxCfCount(List<String> args)

      Redis command cfCount.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cfDebug

          public RedisAPI cfDebug(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command cfDebug.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cfDebug

          public RedisAPI cfDebug(List<String> args)

      Redis command cfDebug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCfDebug

          public Single<Response> rxCfDebug(List<String> args)

      Redis command cfDebug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cfDel

          public RedisAPI cfDel(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command cfDel.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cfDel

          public RedisAPI cfDel(List<String> args)

      Redis command cfDel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCfDel

          public Single<Response> rxCfDel(List<String> args)

      Redis command cfDel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cfExists

          public RedisAPI cfExists(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command cfExists.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cfExists

          public RedisAPI cfExists(List<String> args)

      Redis command cfExists.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCfExists

          public Single<Response> rxCfExists(List<String> args)

      Redis command cfExists.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cfInfo

          public RedisAPI cfInfo(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command cfInfo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cfInfo

          public RedisAPI cfInfo(List<String> args)

      Redis command cfInfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCfInfo

          public Single<Response> rxCfInfo(List<String> args)

      Redis command cfInfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cfInsert

          public RedisAPI cfInsert(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command cfInsert.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cfInsert

          public RedisAPI cfInsert(List<String> args)

      Redis command cfInsert.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCfInsert

          public Single<Response> rxCfInsert(List<String> args)

      Redis command cfInsert.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cfInsertnx

          public RedisAPI cfInsertnx(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command cfInsertnx.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cfInsertnx

          public RedisAPI cfInsertnx(List<String> args)

      Redis command cfInsertnx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCfInsertnx

          public Single<Response> rxCfInsertnx(List<String> args)

      Redis command cfInsertnx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cfLoadchunk

          public RedisAPI cfLoadchunk(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command cfLoadchunk.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cfLoadchunk

          public RedisAPI cfLoadchunk(List<String> args)

      Redis command cfLoadchunk.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCfLoadchunk

          public Single<Response> rxCfLoadchunk(List<String> args)

      Redis command cfLoadchunk.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cfMexists

          public RedisAPI cfMexists(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command cfMexists.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cfMexists

          public RedisAPI cfMexists(List<String> args)

      Redis command cfMexists.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCfMexists

          public Single<Response> rxCfMexists(List<String> args)

      Redis command cfMexists.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cfReserve

          public RedisAPI cfReserve(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command cfReserve.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cfReserve

          public RedisAPI cfReserve(List<String> args)

      Redis command cfReserve.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCfReserve

          public Single<Response> rxCfReserve(List<String> args)

      Redis command cfReserve.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cfScandump

          public RedisAPI cfScandump(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command cfScandump.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cfScandump

          public RedisAPI cfScandump(List<String> args)

      Redis command cfScandump.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCfScandump

          public Single<Response> rxCfScandump(List<String> args)

      Redis command cfScandump.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### client

          public RedisAPI client(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command client.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### client

          public RedisAPI client(List<String> args)

      Redis command client.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxClient

          public Single<Response> rxClient(List<String> args)

      Redis command client.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cluster

          public RedisAPI cluster(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command cluster.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cluster

          public RedisAPI cluster(List<String> args)

      Redis command cluster.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCluster

          public Single<Response> rxCluster(List<String> args)

      Redis command cluster.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cmsIncrby

          public RedisAPI cmsIncrby(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command cmsIncrby.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cmsIncrby

          public RedisAPI cmsIncrby(List<String> args)

      Redis command cmsIncrby.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCmsIncrby

          public Single<Response> rxCmsIncrby(List<String> args)

      Redis command cmsIncrby.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cmsInfo

          public RedisAPI cmsInfo(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command cmsInfo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cmsInfo

          public RedisAPI cmsInfo(List<String> args)

      Redis command cmsInfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCmsInfo

          public Single<Response> rxCmsInfo(List<String> args)

      Redis command cmsInfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cmsInitbydim

          public RedisAPI cmsInitbydim(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command cmsInitbydim.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cmsInitbydim

          public RedisAPI cmsInitbydim(List<String> args)

      Redis command cmsInitbydim.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCmsInitbydim

          public Single<Response> rxCmsInitbydim(List<String> args)

      Redis command cmsInitbydim.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cmsInitbyprob

          public RedisAPI cmsInitbyprob(List<String> args,
                                        Handler<AsyncResult<Response>> handler)

      Redis command cmsInitbyprob.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cmsInitbyprob

          public RedisAPI cmsInitbyprob(List<String> args)

      Redis command cmsInitbyprob.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCmsInitbyprob

          public Single<Response> rxCmsInitbyprob(List<String> args)

      Redis command cmsInitbyprob.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cmsMerge

          public RedisAPI cmsMerge(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command cmsMerge.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cmsMerge

          public RedisAPI cmsMerge(List<String> args)

      Redis command cmsMerge.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCmsMerge

          public Single<Response> rxCmsMerge(List<String> args)

      Redis command cmsMerge.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cmsQuery

          public RedisAPI cmsQuery(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command cmsQuery.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cmsQuery

          public RedisAPI cmsQuery(List<String> args)

      Redis command cmsQuery.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCmsQuery

          public Single<Response> rxCmsQuery(List<String> args)

      Redis command cmsQuery.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### command

          public RedisAPI command(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command command.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### command

          public RedisAPI command(List<String> args)

      Redis command command.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCommand

          public Single<Response> rxCommand(List<String> args)

      Redis command command.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### config

          public RedisAPI config(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command config.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### config

          public RedisAPI config(List<String> args)

      Redis command config.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxConfig

          public Single<Response> rxConfig(List<String> args)

      Redis command config.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### copy

          public RedisAPI copy(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command copy.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### copy

          public RedisAPI copy(List<String> args)

      Redis command copy.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCopy

          public Single<Response> rxCopy(List<String> args)

      Redis command copy.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### dbsize

          public RedisAPI dbsize(Handler<AsyncResult<Response>> handler)

      Redis command dbsize.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### dbsize

          public RedisAPI dbsize()

      Redis command dbsize.
      Returns:
        fluent self

    - #### rxDbsize

          public Single<Response> rxDbsize()

      Redis command dbsize.
      Returns:
        fluent self

    - #### debug

          public RedisAPI debug(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command debug.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### debug

          public RedisAPI debug(List<String> args)

      Redis command debug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxDebug

          public Single<Response> rxDebug(List<String> args)

      Redis command debug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### decr

          public RedisAPI decr(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command decr.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### decr

          public RedisAPI decr(String arg0)

      Redis command decr.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxDecr

          public Single<Response> rxDecr(String arg0)

      Redis command decr.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### decrby

          public RedisAPI decrby(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command decrby.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### decrby

          public RedisAPI decrby(String arg0,
                                 String arg1)

      Redis command decrby.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxDecrby

          public Single<Response> rxDecrby(String arg0,
                                           String arg1)

      Redis command decrby.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### del

          public RedisAPI del(List<String> args,
                              Handler<AsyncResult<Response>> handler)

      Redis command del.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### del

          public RedisAPI del(List<String> args)

      Redis command del.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxDel

          public Single<Response> rxDel(List<String> args)

      Redis command del.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### discard

          public RedisAPI discard(Handler<AsyncResult<Response>> handler)

      Redis command discard.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### discard

          public RedisAPI discard()

      Redis command discard.
      Returns:
        fluent self

    - #### rxDiscard

          public Single<Response> rxDiscard()

      Redis command discard.
      Returns:
        fluent self

    - #### dump

          public RedisAPI dump(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command dump.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### dump

          public RedisAPI dump(String arg0)

      Redis command dump.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxDump

          public Single<Response> rxDump(String arg0)

      Redis command dump.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### echo

          public RedisAPI echo(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command echo.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### echo

          public RedisAPI echo(String arg0)

      Redis command echo.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxEcho

          public Single<Response> rxEcho(String arg0)

      Redis command echo.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### eval

          public RedisAPI eval(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command eval.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### eval

          public RedisAPI eval(List<String> args)

      Redis command eval.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxEval

          public Single<Response> rxEval(List<String> args)

      Redis command eval.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### evalRo

          public RedisAPI evalRo(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command evalRo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### evalRo

          public RedisAPI evalRo(List<String> args)

      Redis command evalRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxEvalRo

          public Single<Response> rxEvalRo(List<String> args)

      Redis command evalRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### evalsha

          public RedisAPI evalsha(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command evalsha.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### evalsha

          public RedisAPI evalsha(List<String> args)

      Redis command evalsha.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxEvalsha

          public Single<Response> rxEvalsha(List<String> args)

      Redis command evalsha.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### evalshaRo

          public RedisAPI evalshaRo(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command evalshaRo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### evalshaRo

          public RedisAPI evalshaRo(List<String> args)

      Redis command evalshaRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxEvalshaRo

          public Single<Response> rxEvalshaRo(List<String> args)

      Redis command evalshaRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### exec

          public RedisAPI exec(Handler<AsyncResult<Response>> handler)

      Redis command exec.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### exec

          public RedisAPI exec()

      Redis command exec.
      Returns:
        fluent self

    - #### rxExec

          public Single<Response> rxExec()

      Redis command exec.
      Returns:
        fluent self

    - #### exists

          public RedisAPI exists(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command exists.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### exists

          public RedisAPI exists(List<String> args)

      Redis command exists.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxExists

          public Single<Response> rxExists(List<String> args)

      Redis command exists.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### expire

          public RedisAPI expire(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command expire.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### expire

          public RedisAPI expire(List<String> args)

      Redis command expire.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxExpire

          public Single<Response> rxExpire(List<String> args)

      Redis command expire.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### expireat

          public RedisAPI expireat(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command expireat.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### expireat

          public RedisAPI expireat(List<String> args)

      Redis command expireat.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxExpireat

          public Single<Response> rxExpireat(List<String> args)

      Redis command expireat.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### expiretime

          public RedisAPI expiretime(String arg0,
                                     Handler<AsyncResult<Response>> handler)

      Redis command expiretime.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### expiretime

          public RedisAPI expiretime(String arg0)

      Redis command expiretime.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxExpiretime

          public Single<Response> rxExpiretime(String arg0)

      Redis command expiretime.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### failover

          public RedisAPI failover(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command failover.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### failover

          public RedisAPI failover(List<String> args)

      Redis command failover.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFailover

          public Single<Response> rxFailover(List<String> args)

      Redis command failover.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### fcall

          public RedisAPI fcall(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command fcall.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### fcall

          public RedisAPI fcall(List<String> args)

      Redis command fcall.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFcall

          public Single<Response> rxFcall(List<String> args)

      Redis command fcall.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### fcallRo

          public RedisAPI fcallRo(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command fcallRo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### fcallRo

          public RedisAPI fcallRo(List<String> args)

      Redis command fcallRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFcallRo

          public Single<Response> rxFcallRo(List<String> args)

      Redis command fcallRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### flushall

          public RedisAPI flushall(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command flushall.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### flushall

          public RedisAPI flushall(List<String> args)

      Redis command flushall.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFlushall

          public Single<Response> rxFlushall(List<String> args)

      Redis command flushall.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### flushdb

          public RedisAPI flushdb(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command flushdb.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### flushdb

          public RedisAPI flushdb(List<String> args)

      Redis command flushdb.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFlushdb

          public Single<Response> rxFlushdb(List<String> args)

      Redis command flushdb.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### function

          public RedisAPI function(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command function.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### function

          public RedisAPI function(List<String> args)

      Redis command function.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFunction

          public Single<Response> rxFunction(List<String> args)

      Redis command function.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### geoadd

          public RedisAPI geoadd(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command geoadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### geoadd

          public RedisAPI geoadd(List<String> args)

      Redis command geoadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeoadd

          public Single<Response> rxGeoadd(List<String> args)

      Redis command geoadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### geodist

          public RedisAPI geodist(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command geodist.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### geodist

          public RedisAPI geodist(List<String> args)

      Redis command geodist.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeodist

          public Single<Response> rxGeodist(List<String> args)

      Redis command geodist.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### geohash

          public RedisAPI geohash(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command geohash.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### geohash

          public RedisAPI geohash(List<String> args)

      Redis command geohash.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeohash

          public Single<Response> rxGeohash(List<String> args)

      Redis command geohash.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### geopos

          public RedisAPI geopos(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command geopos.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### geopos

          public RedisAPI geopos(List<String> args)

      Redis command geopos.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeopos

          public Single<Response> rxGeopos(List<String> args)

      Redis command geopos.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### georadius

          public RedisAPI georadius(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command georadius.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### georadius

          public RedisAPI georadius(List<String> args)

      Redis command georadius.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeoradius

          public Single<Response> rxGeoradius(List<String> args)

      Redis command georadius.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### georadiusRo

          public RedisAPI georadiusRo(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command georadiusRo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### georadiusRo

          public RedisAPI georadiusRo(List<String> args)

      Redis command georadiusRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeoradiusRo

          public Single<Response> rxGeoradiusRo(List<String> args)

      Redis command georadiusRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### georadiusbymember

          public RedisAPI georadiusbymember(List<String> args,
                                            Handler<AsyncResult<Response>> handler)

      Redis command georadiusbymember.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### georadiusbymember

          public RedisAPI georadiusbymember(List<String> args)

      Redis command georadiusbymember.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeoradiusbymember

          public Single<Response> rxGeoradiusbymember(List<String> args)

      Redis command georadiusbymember.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### georadiusbymemberRo

          public RedisAPI georadiusbymemberRo(List<String> args,
                                              Handler<AsyncResult<Response>> handler)

      Redis command georadiusbymemberRo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### georadiusbymemberRo

          public RedisAPI georadiusbymemberRo(List<String> args)

      Redis command georadiusbymemberRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeoradiusbymemberRo

          public Single<Response> rxGeoradiusbymemberRo(List<String> args)

      Redis command georadiusbymemberRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### geosearch

          public RedisAPI geosearch(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command geosearch.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### geosearch

          public RedisAPI geosearch(List<String> args)

      Redis command geosearch.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeosearch

          public Single<Response> rxGeosearch(List<String> args)

      Redis command geosearch.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### geosearchstore

          public RedisAPI geosearchstore(List<String> args,
                                         Handler<AsyncResult<Response>> handler)

      Redis command geosearchstore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### geosearchstore

          public RedisAPI geosearchstore(List<String> args)

      Redis command geosearchstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeosearchstore

          public Single<Response> rxGeosearchstore(List<String> args)

      Redis command geosearchstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### get

          public RedisAPI get(String arg0,
                              Handler<AsyncResult<Response>> handler)

      Redis command get.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### get

          public RedisAPI get(String arg0)

      Redis command get.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxGet

          public Single<Response> rxGet(String arg0)

      Redis command get.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### getbit

          public RedisAPI getbit(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command getbit.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### getbit

          public RedisAPI getbit(String arg0,
                                 String arg1)

      Redis command getbit.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxGetbit

          public Single<Response> rxGetbit(String arg0,
                                           String arg1)

      Redis command getbit.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### getdel

          public RedisAPI getdel(String arg0,
                                 Handler<AsyncResult<Response>> handler)

      Redis command getdel.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### getdel

          public RedisAPI getdel(String arg0)

      Redis command getdel.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxGetdel

          public Single<Response> rxGetdel(String arg0)

      Redis command getdel.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### getex

          public RedisAPI getex(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command getex.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### getex

          public RedisAPI getex(List<String> args)

      Redis command getex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGetex

          public Single<Response> rxGetex(List<String> args)

      Redis command getex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### getrange

          public RedisAPI getrange(String arg0,
                                   String arg1,
                                   String arg2,
                                   Handler<AsyncResult<Response>> handler)

      Redis command getrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### getrange

          public RedisAPI getrange(String arg0,
                                   String arg1,
                                   String arg2)

      Redis command getrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxGetrange

          public Single<Response> rxGetrange(String arg0,
                                             String arg1,
                                             String arg2)

      Redis command getrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### getset

          public RedisAPI getset(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command getset.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### getset

          public RedisAPI getset(String arg0,
                                 String arg1)

      Redis command getset.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxGetset

          public Single<Response> rxGetset(String arg0,
                                           String arg1)

      Redis command getset.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### graphBulk

          public RedisAPI graphBulk(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command graphBulk.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### graphBulk

          public RedisAPI graphBulk(List<String> args)

      Redis command graphBulk.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGraphBulk

          public Single<Response> rxGraphBulk(List<String> args)

      Redis command graphBulk.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### graphConfig

          public RedisAPI graphConfig(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command graphConfig.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### graphConfig

          public RedisAPI graphConfig(List<String> args)

      Redis command graphConfig.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGraphConfig

          public Single<Response> rxGraphConfig(List<String> args)

      Redis command graphConfig.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### graphDebug

          public RedisAPI graphDebug(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command graphDebug.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### graphDebug

          public RedisAPI graphDebug(List<String> args)

      Redis command graphDebug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGraphDebug

          public Single<Response> rxGraphDebug(List<String> args)

      Redis command graphDebug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### graphDelete

          public RedisAPI graphDelete(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command graphDelete.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### graphDelete

          public RedisAPI graphDelete(List<String> args)

      Redis command graphDelete.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGraphDelete

          public Single<Response> rxGraphDelete(List<String> args)

      Redis command graphDelete.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### graphExplain

          public RedisAPI graphExplain(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command graphExplain.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### graphExplain

          public RedisAPI graphExplain(List<String> args)

      Redis command graphExplain.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGraphExplain

          public Single<Response> rxGraphExplain(List<String> args)

      Redis command graphExplain.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### graphList

          public RedisAPI graphList(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command graphList.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### graphList

          public RedisAPI graphList(List<String> args)

      Redis command graphList.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGraphList

          public Single<Response> rxGraphList(List<String> args)

      Redis command graphList.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### graphProfile

          public RedisAPI graphProfile(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command graphProfile.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### graphProfile

          public RedisAPI graphProfile(List<String> args)

      Redis command graphProfile.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGraphProfile

          public Single<Response> rxGraphProfile(List<String> args)

      Redis command graphProfile.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### graphQuery

          public RedisAPI graphQuery(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command graphQuery.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### graphQuery

          public RedisAPI graphQuery(List<String> args)

      Redis command graphQuery.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGraphQuery

          public Single<Response> rxGraphQuery(List<String> args)

      Redis command graphQuery.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### graphRoQuery

          public RedisAPI graphRoQuery(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command graphRoQuery.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### graphRoQuery

          public RedisAPI graphRoQuery(List<String> args)

      Redis command graphRoQuery.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGraphRoQuery

          public Single<Response> rxGraphRoQuery(List<String> args)

      Redis command graphRoQuery.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### graphSlowlog

          public RedisAPI graphSlowlog(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command graphSlowlog.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### graphSlowlog

          public RedisAPI graphSlowlog(List<String> args)

      Redis command graphSlowlog.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGraphSlowlog

          public Single<Response> rxGraphSlowlog(List<String> args)

      Redis command graphSlowlog.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### hdel

          public RedisAPI hdel(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command hdel.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### hdel

          public RedisAPI hdel(List<String> args)

      Redis command hdel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxHdel

          public Single<Response> rxHdel(List<String> args)

      Redis command hdel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### hello

          public RedisAPI hello(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command hello.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### hello

          public RedisAPI hello(List<String> args)

      Redis command hello.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxHello

          public Single<Response> rxHello(List<String> args)

      Redis command hello.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### hexists

          public RedisAPI hexists(String arg0,
                                  String arg1,
                                  Handler<AsyncResult<Response>> handler)

      Redis command hexists.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### hexists

          public RedisAPI hexists(String arg0,
                                  String arg1)

      Redis command hexists.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxHexists

          public Single<Response> rxHexists(String arg0,
                                            String arg1)

      Redis command hexists.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### hget

          public RedisAPI hget(String arg0,
                               String arg1,
                               Handler<AsyncResult<Response>> handler)

      Redis command hget.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### hget

          public RedisAPI hget(String arg0,
                               String arg1)

      Redis command hget.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxHget

          public Single<Response> rxHget(String arg0,
                                         String arg1)

      Redis command hget.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### hgetall

          public RedisAPI hgetall(String arg0,
                                  Handler<AsyncResult<Response>> handler)

      Redis command hgetall.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### hgetall

          public RedisAPI hgetall(String arg0)

      Redis command hgetall.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxHgetall

          public Single<Response> rxHgetall(String arg0)

      Redis command hgetall.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### hincrby

          public RedisAPI hincrby(String arg0,
                                  String arg1,
                                  String arg2,
                                  Handler<AsyncResult<Response>> handler)

      Redis command hincrby.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### hincrby

          public RedisAPI hincrby(String arg0,
                                  String arg1,
                                  String arg2)

      Redis command hincrby.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxHincrby

          public Single<Response> rxHincrby(String arg0,
                                            String arg1,
                                            String arg2)

      Redis command hincrby.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### hincrbyfloat

          public RedisAPI hincrbyfloat(String arg0,
                                       String arg1,
                                       String arg2,
                                       Handler<AsyncResult<Response>> handler)

      Redis command hincrbyfloat.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### hincrbyfloat

          public RedisAPI hincrbyfloat(String arg0,
                                       String arg1,
                                       String arg2)

      Redis command hincrbyfloat.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxHincrbyfloat

          public Single<Response> rxHincrbyfloat(String arg0,
                                                 String arg1,
                                                 String arg2)

      Redis command hincrbyfloat.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### hkeys

          public RedisAPI hkeys(String arg0,
                                Handler<AsyncResult<Response>> handler)

      Redis command hkeys.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### hkeys

          public RedisAPI hkeys(String arg0)

      Redis command hkeys.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxHkeys

          public Single<Response> rxHkeys(String arg0)

      Redis command hkeys.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### hlen

          public RedisAPI hlen(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command hlen.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### hlen

          public RedisAPI hlen(String arg0)

      Redis command hlen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxHlen

          public Single<Response> rxHlen(String arg0)

      Redis command hlen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### hmget

          public RedisAPI hmget(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command hmget.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### hmget

          public RedisAPI hmget(List<String> args)

      Redis command hmget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxHmget

          public Single<Response> rxHmget(List<String> args)

      Redis command hmget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### hmset

          public RedisAPI hmset(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command hmset.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### hmset

          public RedisAPI hmset(List<String> args)

      Redis command hmset.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxHmset

          public Single<Response> rxHmset(List<String> args)

      Redis command hmset.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### hrandfield

          public RedisAPI hrandfield(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command hrandfield.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### hrandfield

          public RedisAPI hrandfield(List<String> args)

      Redis command hrandfield.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxHrandfield

          public Single<Response> rxHrandfield(List<String> args)

      Redis command hrandfield.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### hscan

          public RedisAPI hscan(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command hscan.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### hscan

          public RedisAPI hscan(List<String> args)

      Redis command hscan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxHscan

          public Single<Response> rxHscan(List<String> args)

      Redis command hscan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### hset

          public RedisAPI hset(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command hset.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### hset

          public RedisAPI hset(List<String> args)

      Redis command hset.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxHset

          public Single<Response> rxHset(List<String> args)

      Redis command hset.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### hsetnx

          public RedisAPI hsetnx(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

      Redis command hsetnx.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### hsetnx

          public RedisAPI hsetnx(String arg0,
                                 String arg1,
                                 String arg2)

      Redis command hsetnx.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxHsetnx

          public Single<Response> rxHsetnx(String arg0,
                                           String arg1,
                                           String arg2)

      Redis command hsetnx.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### hstrlen

          public RedisAPI hstrlen(String arg0,
                                  String arg1,
                                  Handler<AsyncResult<Response>> handler)

      Redis command hstrlen.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### hstrlen

          public RedisAPI hstrlen(String arg0,
                                  String arg1)

      Redis command hstrlen.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxHstrlen

          public Single<Response> rxHstrlen(String arg0,
                                            String arg1)

      Redis command hstrlen.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### hvals

          public RedisAPI hvals(String arg0,
                                Handler<AsyncResult<Response>> handler)

      Redis command hvals.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### hvals

          public RedisAPI hvals(String arg0)

      Redis command hvals.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxHvals

          public Single<Response> rxHvals(String arg0)

      Redis command hvals.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### incr

          public RedisAPI incr(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command incr.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### incr

          public RedisAPI incr(String arg0)

      Redis command incr.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxIncr

          public Single<Response> rxIncr(String arg0)

      Redis command incr.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### incrby

          public RedisAPI incrby(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command incrby.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### incrby

          public RedisAPI incrby(String arg0,
                                 String arg1)

      Redis command incrby.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxIncrby

          public Single<Response> rxIncrby(String arg0,
                                           String arg1)

      Redis command incrby.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### incrbyfloat

          public RedisAPI incrbyfloat(String arg0,
                                      String arg1,
                                      Handler<AsyncResult<Response>> handler)

      Redis command incrbyfloat.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### incrbyfloat

          public RedisAPI incrbyfloat(String arg0,
                                      String arg1)

      Redis command incrbyfloat.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxIncrbyfloat

          public Single<Response> rxIncrbyfloat(String arg0,
                                                String arg1)

      Redis command incrbyfloat.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### info

          public RedisAPI info(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command info.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### info

          public RedisAPI info(List<String> args)

      Redis command info.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxInfo

          public Single<Response> rxInfo(List<String> args)

      Redis command info.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonArrappend

          public RedisAPI jsonArrappend(List<String> args,
                                        Handler<AsyncResult<Response>> handler)

      Redis command jsonArrappend.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonArrappend

          public RedisAPI jsonArrappend(List<String> args)

      Redis command jsonArrappend.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonArrappend

          public Single<Response> rxJsonArrappend(List<String> args)

      Redis command jsonArrappend.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonArrindex

          public RedisAPI jsonArrindex(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command jsonArrindex.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonArrindex

          public RedisAPI jsonArrindex(List<String> args)

      Redis command jsonArrindex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonArrindex

          public Single<Response> rxJsonArrindex(List<String> args)

      Redis command jsonArrindex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonArrinsert

          public RedisAPI jsonArrinsert(List<String> args,
                                        Handler<AsyncResult<Response>> handler)

      Redis command jsonArrinsert.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonArrinsert

          public RedisAPI jsonArrinsert(List<String> args)

      Redis command jsonArrinsert.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonArrinsert

          public Single<Response> rxJsonArrinsert(List<String> args)

      Redis command jsonArrinsert.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonArrlen

          public RedisAPI jsonArrlen(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command jsonArrlen.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonArrlen

          public RedisAPI jsonArrlen(List<String> args)

      Redis command jsonArrlen.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonArrlen

          public Single<Response> rxJsonArrlen(List<String> args)

      Redis command jsonArrlen.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonArrpop

          public RedisAPI jsonArrpop(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command jsonArrpop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonArrpop

          public RedisAPI jsonArrpop(List<String> args)

      Redis command jsonArrpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonArrpop

          public Single<Response> rxJsonArrpop(List<String> args)

      Redis command jsonArrpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonArrtrim

          public RedisAPI jsonArrtrim(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command jsonArrtrim.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonArrtrim

          public RedisAPI jsonArrtrim(List<String> args)

      Redis command jsonArrtrim.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonArrtrim

          public Single<Response> rxJsonArrtrim(List<String> args)

      Redis command jsonArrtrim.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonClear

          public RedisAPI jsonClear(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command jsonClear.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonClear

          public RedisAPI jsonClear(List<String> args)

      Redis command jsonClear.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonClear

          public Single<Response> rxJsonClear(List<String> args)

      Redis command jsonClear.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonDebug

          public RedisAPI jsonDebug(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command jsonDebug.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonDebug

          public RedisAPI jsonDebug(List<String> args)

      Redis command jsonDebug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonDebug

          public Single<Response> rxJsonDebug(List<String> args)

      Redis command jsonDebug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonDel

          public RedisAPI jsonDel(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command jsonDel.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonDel

          public RedisAPI jsonDel(List<String> args)

      Redis command jsonDel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonDel

          public Single<Response> rxJsonDel(List<String> args)

      Redis command jsonDel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonForget

          public RedisAPI jsonForget(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command jsonForget.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonForget

          public RedisAPI jsonForget(List<String> args)

      Redis command jsonForget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonForget

          public Single<Response> rxJsonForget(List<String> args)

      Redis command jsonForget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonGet

          public RedisAPI jsonGet(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command jsonGet.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonGet

          public RedisAPI jsonGet(List<String> args)

      Redis command jsonGet.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonGet

          public Single<Response> rxJsonGet(List<String> args)

      Redis command jsonGet.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonMget

          public RedisAPI jsonMget(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command jsonMget.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonMget

          public RedisAPI jsonMget(List<String> args)

      Redis command jsonMget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonMget

          public Single<Response> rxJsonMget(List<String> args)

      Redis command jsonMget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonNumincrby

          public RedisAPI jsonNumincrby(List<String> args,
                                        Handler<AsyncResult<Response>> handler)

      Redis command jsonNumincrby.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonNumincrby

          public RedisAPI jsonNumincrby(List<String> args)

      Redis command jsonNumincrby.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonNumincrby

          public Single<Response> rxJsonNumincrby(List<String> args)

      Redis command jsonNumincrby.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonNummultby

          public RedisAPI jsonNummultby(List<String> args,
                                        Handler<AsyncResult<Response>> handler)

      Redis command jsonNummultby.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonNummultby

          public RedisAPI jsonNummultby(List<String> args)

      Redis command jsonNummultby.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonNummultby

          public Single<Response> rxJsonNummultby(List<String> args)

      Redis command jsonNummultby.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonNumpowby

          public RedisAPI jsonNumpowby(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command jsonNumpowby.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonNumpowby

          public RedisAPI jsonNumpowby(List<String> args)

      Redis command jsonNumpowby.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonNumpowby

          public Single<Response> rxJsonNumpowby(List<String> args)

      Redis command jsonNumpowby.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonObjkeys

          public RedisAPI jsonObjkeys(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command jsonObjkeys.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonObjkeys

          public RedisAPI jsonObjkeys(List<String> args)

      Redis command jsonObjkeys.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonObjkeys

          public Single<Response> rxJsonObjkeys(List<String> args)

      Redis command jsonObjkeys.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonObjlen

          public RedisAPI jsonObjlen(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command jsonObjlen.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonObjlen

          public RedisAPI jsonObjlen(List<String> args)

      Redis command jsonObjlen.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonObjlen

          public Single<Response> rxJsonObjlen(List<String> args)

      Redis command jsonObjlen.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonResp

          public RedisAPI jsonResp(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command jsonResp.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonResp

          public RedisAPI jsonResp(List<String> args)

      Redis command jsonResp.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonResp

          public Single<Response> rxJsonResp(List<String> args)

      Redis command jsonResp.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonSet

          public RedisAPI jsonSet(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command jsonSet.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonSet

          public RedisAPI jsonSet(List<String> args)

      Redis command jsonSet.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonSet

          public Single<Response> rxJsonSet(List<String> args)

      Redis command jsonSet.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonStrappend

          public RedisAPI jsonStrappend(List<String> args,
                                        Handler<AsyncResult<Response>> handler)

      Redis command jsonStrappend.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonStrappend

          public RedisAPI jsonStrappend(List<String> args)

      Redis command jsonStrappend.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonStrappend

          public Single<Response> rxJsonStrappend(List<String> args)

      Redis command jsonStrappend.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonStrlen

          public RedisAPI jsonStrlen(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command jsonStrlen.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonStrlen

          public RedisAPI jsonStrlen(List<String> args)

      Redis command jsonStrlen.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonStrlen

          public Single<Response> rxJsonStrlen(List<String> args)

      Redis command jsonStrlen.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonToggle

          public RedisAPI jsonToggle(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command jsonToggle.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonToggle

          public RedisAPI jsonToggle(List<String> args)

      Redis command jsonToggle.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonToggle

          public Single<Response> rxJsonToggle(List<String> args)

      Redis command jsonToggle.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### jsonType

          public RedisAPI jsonType(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command jsonType.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### jsonType

          public RedisAPI jsonType(List<String> args)

      Redis command jsonType.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxJsonType

          public Single<Response> rxJsonType(List<String> args)

      Redis command jsonType.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### keys

          public RedisAPI keys(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command keys.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### keys

          public RedisAPI keys(String arg0)

      Redis command keys.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxKeys

          public Single<Response> rxKeys(String arg0)

      Redis command keys.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### lastsave

          public RedisAPI lastsave(Handler<AsyncResult<Response>> handler)

      Redis command lastsave.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### lastsave

          public RedisAPI lastsave()

      Redis command lastsave.
      Returns:
        fluent self

    - #### rxLastsave

          public Single<Response> rxLastsave()

      Redis command lastsave.
      Returns:
        fluent self

    - #### latency

          public RedisAPI latency(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command latency.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### latency

          public RedisAPI latency(List<String> args)

      Redis command latency.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxLatency

          public Single<Response> rxLatency(List<String> args)

      Redis command latency.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### lcs

          public RedisAPI lcs(List<String> args,
                              Handler<AsyncResult<Response>> handler)

      Redis command lcs.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### lcs

          public RedisAPI lcs(List<String> args)

      Redis command lcs.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxLcs

          public Single<Response> rxLcs(List<String> args)

      Redis command lcs.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### lindex

          public RedisAPI lindex(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command lindex.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### lindex

          public RedisAPI lindex(String arg0,
                                 String arg1)

      Redis command lindex.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxLindex

          public Single<Response> rxLindex(String arg0,
                                           String arg1)

      Redis command lindex.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### linsert

          public RedisAPI linsert(String arg0,
                                  String arg1,
                                  String arg2,
                                  String arg3,
                                  Handler<AsyncResult<Response>> handler)

      Redis command linsert.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
        `handler` -
      Returns:
        fluent self

    - #### linsert

          public RedisAPI linsert(String arg0,
                                  String arg1,
                                  String arg2,
                                  String arg3)

      Redis command linsert.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
      Returns:
        fluent self

    - #### rxLinsert

          public Single<Response> rxLinsert(String arg0,
                                            String arg1,
                                            String arg2,
                                            String arg3)

      Redis command linsert.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
      Returns:
        fluent self

    - #### llen

          public RedisAPI llen(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command llen.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### llen

          public RedisAPI llen(String arg0)

      Redis command llen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxLlen

          public Single<Response> rxLlen(String arg0)

      Redis command llen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### lmove

          public RedisAPI lmove(String arg0,
                                String arg1,
                                String arg2,
                                String arg3,
                                Handler<AsyncResult<Response>> handler)

      Redis command lmove.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
        `handler` -
      Returns:
        fluent self

    - #### lmove

          public RedisAPI lmove(String arg0,
                                String arg1,
                                String arg2,
                                String arg3)

      Redis command lmove.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
      Returns:
        fluent self

    - #### rxLmove

          public Single<Response> rxLmove(String arg0,
                                          String arg1,
                                          String arg2,
                                          String arg3)

      Redis command lmove.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
      Returns:
        fluent self

    - #### lmpop

          public RedisAPI lmpop(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command lmpop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### lmpop

          public RedisAPI lmpop(List<String> args)

      Redis command lmpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxLmpop

          public Single<Response> rxLmpop(List<String> args)

      Redis command lmpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### lolwut

          public RedisAPI lolwut(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command lolwut.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### lolwut

          public RedisAPI lolwut(List<String> args)

      Redis command lolwut.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxLolwut

          public Single<Response> rxLolwut(List<String> args)

      Redis command lolwut.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### lpop

          public RedisAPI lpop(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command lpop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### lpop

          public RedisAPI lpop(List<String> args)

      Redis command lpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxLpop

          public Single<Response> rxLpop(List<String> args)

      Redis command lpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### lpos

          public RedisAPI lpos(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command lpos.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### lpos

          public RedisAPI lpos(List<String> args)

      Redis command lpos.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxLpos

          public Single<Response> rxLpos(List<String> args)

      Redis command lpos.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### lpush

          public RedisAPI lpush(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command lpush.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### lpush

          public RedisAPI lpush(List<String> args)

      Redis command lpush.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxLpush

          public Single<Response> rxLpush(List<String> args)

      Redis command lpush.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### lpushx

          public RedisAPI lpushx(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command lpushx.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### lpushx

          public RedisAPI lpushx(List<String> args)

      Redis command lpushx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxLpushx

          public Single<Response> rxLpushx(List<String> args)

      Redis command lpushx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### lrange

          public RedisAPI lrange(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

      Redis command lrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### lrange

          public RedisAPI lrange(String arg0,
                                 String arg1,
                                 String arg2)

      Redis command lrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxLrange

          public Single<Response> rxLrange(String arg0,
                                           String arg1,
                                           String arg2)

      Redis command lrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### lrem

          public RedisAPI lrem(String arg0,
                               String arg1,
                               String arg2,
                               Handler<AsyncResult<Response>> handler)

      Redis command lrem.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### lrem

          public RedisAPI lrem(String arg0,
                               String arg1,
                               String arg2)

      Redis command lrem.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxLrem

          public Single<Response> rxLrem(String arg0,
                                         String arg1,
                                         String arg2)

      Redis command lrem.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### lset

          public RedisAPI lset(String arg0,
                               String arg1,
                               String arg2,
                               Handler<AsyncResult<Response>> handler)

      Redis command lset.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### lset

          public RedisAPI lset(String arg0,
                               String arg1,
                               String arg2)

      Redis command lset.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxLset

          public Single<Response> rxLset(String arg0,
                                         String arg1,
                                         String arg2)

      Redis command lset.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### ltrim

          public RedisAPI ltrim(String arg0,
                                String arg1,
                                String arg2,
                                Handler<AsyncResult<Response>> handler)

      Redis command ltrim.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### ltrim

          public RedisAPI ltrim(String arg0,
                                String arg1,
                                String arg2)

      Redis command ltrim.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxLtrim

          public Single<Response> rxLtrim(String arg0,
                                          String arg1,
                                          String arg2)

      Redis command ltrim.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### memory

          public RedisAPI memory(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command memory.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### memory

          public RedisAPI memory(List<String> args)

      Redis command memory.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxMemory

          public Single<Response> rxMemory(List<String> args)

      Redis command memory.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### mget

          public RedisAPI mget(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command mget.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### mget

          public RedisAPI mget(List<String> args)

      Redis command mget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxMget

          public Single<Response> rxMget(List<String> args)

      Redis command mget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### migrate

          public RedisAPI migrate(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command migrate.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### migrate

          public RedisAPI migrate(List<String> args)

      Redis command migrate.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxMigrate

          public Single<Response> rxMigrate(List<String> args)

      Redis command migrate.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### module

          public RedisAPI module(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command module.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### module

          public RedisAPI module(List<String> args)

      Redis command module.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxModule

          public Single<Response> rxModule(List<String> args)

      Redis command module.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### monitor

          public RedisAPI monitor(Handler<AsyncResult<Response>> handler)

      Redis command monitor.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### monitor

          public RedisAPI monitor()

      Redis command monitor.
      Returns:
        fluent self

    - #### rxMonitor

          public Single<Response> rxMonitor()

      Redis command monitor.
      Returns:
        fluent self

    - #### move

          public RedisAPI move(String arg0,
                               String arg1,
                               Handler<AsyncResult<Response>> handler)

      Redis command move.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### move

          public RedisAPI move(String arg0,
                               String arg1)

      Redis command move.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxMove

          public Single<Response> rxMove(String arg0,
                                         String arg1)

      Redis command move.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### mset

          public RedisAPI mset(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command mset.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### mset

          public RedisAPI mset(List<String> args)

      Redis command mset.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxMset

          public Single<Response> rxMset(List<String> args)

      Redis command mset.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### msetnx

          public RedisAPI msetnx(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command msetnx.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### msetnx

          public RedisAPI msetnx(List<String> args)

      Redis command msetnx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxMsetnx

          public Single<Response> rxMsetnx(List<String> args)

      Redis command msetnx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### multi

          public RedisAPI multi(Handler<AsyncResult<Response>> handler)

      Redis command multi.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### multi

          public RedisAPI multi()

      Redis command multi.
      Returns:
        fluent self

    - #### rxMulti

          public Single<Response> rxMulti()

      Redis command multi.
      Returns:
        fluent self

    - #### object

          public RedisAPI object(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command object.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### object

          public RedisAPI object(List<String> args)

      Redis command object.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxObject

          public Single<Response> rxObject(List<String> args)

      Redis command object.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### persist

          public RedisAPI persist(String arg0,
                                  Handler<AsyncResult<Response>> handler)

      Redis command persist.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### persist

          public RedisAPI persist(String arg0)

      Redis command persist.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxPersist

          public Single<Response> rxPersist(String arg0)

      Redis command persist.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### pexpire

          public RedisAPI pexpire(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command pexpire.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### pexpire

          public RedisAPI pexpire(List<String> args)

      Redis command pexpire.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPexpire

          public Single<Response> rxPexpire(List<String> args)

      Redis command pexpire.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### pexpireat

          public RedisAPI pexpireat(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command pexpireat.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### pexpireat

          public RedisAPI pexpireat(List<String> args)

      Redis command pexpireat.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPexpireat

          public Single<Response> rxPexpireat(List<String> args)

      Redis command pexpireat.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### pexpiretime

          public RedisAPI pexpiretime(String arg0,
                                      Handler<AsyncResult<Response>> handler)

      Redis command pexpiretime.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### pexpiretime

          public RedisAPI pexpiretime(String arg0)

      Redis command pexpiretime.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxPexpiretime

          public Single<Response> rxPexpiretime(String arg0)

      Redis command pexpiretime.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### pfadd

          public RedisAPI pfadd(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command pfadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### pfadd

          public RedisAPI pfadd(List<String> args)

      Redis command pfadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPfadd

          public Single<Response> rxPfadd(List<String> args)

      Redis command pfadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### pfcount

          public RedisAPI pfcount(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command pfcount.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### pfcount

          public RedisAPI pfcount(List<String> args)

      Redis command pfcount.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPfcount

          public Single<Response> rxPfcount(List<String> args)

      Redis command pfcount.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### pfdebug

          public RedisAPI pfdebug(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command pfdebug.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### pfdebug

          public RedisAPI pfdebug(List<String> args)

      Redis command pfdebug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPfdebug

          public Single<Response> rxPfdebug(List<String> args)

      Redis command pfdebug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### pfmerge

          public RedisAPI pfmerge(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command pfmerge.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### pfmerge

          public RedisAPI pfmerge(List<String> args)

      Redis command pfmerge.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPfmerge

          public Single<Response> rxPfmerge(List<String> args)

      Redis command pfmerge.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### pfselftest

          public RedisAPI pfselftest(Handler<AsyncResult<Response>> handler)

      Redis command pfselftest.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### pfselftest

          public RedisAPI pfselftest()

      Redis command pfselftest.
      Returns:
        fluent self

    - #### rxPfselftest

          public Single<Response> rxPfselftest()

      Redis command pfselftest.
      Returns:
        fluent self

    - #### ping

          public RedisAPI ping(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command ping.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ping

          public RedisAPI ping(List<String> args)

      Redis command ping.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPing

          public Single<Response> rxPing(List<String> args)

      Redis command ping.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### psetex

          public RedisAPI psetex(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

      Redis command psetex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### psetex

          public RedisAPI psetex(String arg0,
                                 String arg1,
                                 String arg2)

      Redis command psetex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxPsetex

          public Single<Response> rxPsetex(String arg0,
                                           String arg1,
                                           String arg2)

      Redis command psetex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### psubscribe

          public RedisAPI psubscribe(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command psubscribe.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### psubscribe

          public RedisAPI psubscribe(List<String> args)

      Redis command psubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPsubscribe

          public Single<Response> rxPsubscribe(List<String> args)

      Redis command psubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### psync

          public RedisAPI psync(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command psync.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### psync

          public RedisAPI psync(List<String> args)

      Redis command psync.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPsync

          public Single<Response> rxPsync(List<String> args)

      Redis command psync.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### pttl

          public RedisAPI pttl(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command pttl.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### pttl

          public RedisAPI pttl(String arg0)

      Redis command pttl.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxPttl

          public Single<Response> rxPttl(String arg0)

      Redis command pttl.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### publish

          public RedisAPI publish(String arg0,
                                  String arg1,
                                  Handler<AsyncResult<Response>> handler)

      Redis command publish.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### publish

          public RedisAPI publish(String arg0,
                                  String arg1)

      Redis command publish.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxPublish

          public Single<Response> rxPublish(String arg0,
                                            String arg1)

      Redis command publish.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### pubsub

          public RedisAPI pubsub(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command pubsub.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### pubsub

          public RedisAPI pubsub(List<String> args)

      Redis command pubsub.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPubsub

          public Single<Response> rxPubsub(List<String> args)

      Redis command pubsub.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### punsubscribe

          public RedisAPI punsubscribe(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command punsubscribe.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### punsubscribe

          public RedisAPI punsubscribe(List<String> args)

      Redis command punsubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPunsubscribe

          public Single<Response> rxPunsubscribe(List<String> args)

      Redis command punsubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### quit

          public RedisAPI quit(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command quit.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### quit

          public RedisAPI quit(List<String> args)

      Redis command quit.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxQuit

          public Single<Response> rxQuit(List<String> args)

      Redis command quit.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### randomkey

          public RedisAPI randomkey(Handler<AsyncResult<Response>> handler)

      Redis command randomkey.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### randomkey

          public RedisAPI randomkey()

      Redis command randomkey.
      Returns:
        fluent self

    - #### rxRandomkey

          public Single<Response> rxRandomkey()

      Redis command randomkey.
      Returns:
        fluent self

    - #### readonly

          public RedisAPI readonly(Handler<AsyncResult<Response>> handler)

      Redis command readonly.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### readonly

          public RedisAPI readonly()

      Redis command readonly.
      Returns:
        fluent self

    - #### rxReadonly

          public Single<Response> rxReadonly()

      Redis command readonly.
      Returns:
        fluent self

    - #### readwrite

          public RedisAPI readwrite(Handler<AsyncResult<Response>> handler)

      Redis command readwrite.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### readwrite

          public RedisAPI readwrite()

      Redis command readwrite.
      Returns:
        fluent self

    - #### rxReadwrite

          public Single<Response> rxReadwrite()

      Redis command readwrite.
      Returns:
        fluent self

    - #### rename

          public RedisAPI rename(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command rename.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### rename

          public RedisAPI rename(String arg0,
                                 String arg1)

      Redis command rename.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxRename

          public Single<Response> rxRename(String arg0,
                                           String arg1)

      Redis command rename.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### renamenx

          public RedisAPI renamenx(String arg0,
                                   String arg1,
                                   Handler<AsyncResult<Response>> handler)

      Redis command renamenx.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### renamenx

          public RedisAPI renamenx(String arg0,
                                   String arg1)

      Redis command renamenx.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxRenamenx

          public Single<Response> rxRenamenx(String arg0,
                                             String arg1)

      Redis command renamenx.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### replconf

          public RedisAPI replconf(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command replconf.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### replconf

          public RedisAPI replconf(List<String> args)

      Redis command replconf.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxReplconf

          public Single<Response> rxReplconf(List<String> args)

      Redis command replconf.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### replicaof

          public RedisAPI replicaof(String arg0,
                                    String arg1,
                                    Handler<AsyncResult<Response>> handler)

      Redis command replicaof.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### replicaof

          public RedisAPI replicaof(String arg0,
                                    String arg1)

      Redis command replicaof.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxReplicaof

          public Single<Response> rxReplicaof(String arg0,
                                              String arg1)

      Redis command replicaof.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### reset

          public RedisAPI reset(Handler<AsyncResult<Response>> handler)

      Redis command reset.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### reset

          public RedisAPI reset()

      Redis command reset.
      Returns:
        fluent self

    - #### rxReset

          public Single<Response> rxReset()

      Redis command reset.
      Returns:
        fluent self

    - #### restore

          public RedisAPI restore(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command restore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### restore

          public RedisAPI restore(List<String> args)

      Redis command restore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxRestore

          public Single<Response> rxRestore(List<String> args)

      Redis command restore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### restoreAsking

          public RedisAPI restoreAsking(List<String> args,
                                        Handler<AsyncResult<Response>> handler)

      Redis command restoreAsking.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### restoreAsking

          public RedisAPI restoreAsking(List<String> args)

      Redis command restoreAsking.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxRestoreAsking

          public Single<Response> rxRestoreAsking(List<String> args)

      Redis command restoreAsking.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### role

          public RedisAPI role(Handler<AsyncResult<Response>> handler)

      Redis command role.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### role

          public RedisAPI role()

      Redis command role.
      Returns:
        fluent self

    - #### rxRole

          public Single<Response> rxRole()

      Redis command role.
      Returns:
        fluent self

    - #### rpop

          public RedisAPI rpop(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command rpop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### rpop

          public RedisAPI rpop(List<String> args)

      Redis command rpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxRpop

          public Single<Response> rxRpop(List<String> args)

      Redis command rpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rpoplpush

          public RedisAPI rpoplpush(String arg0,
                                    String arg1,
                                    Handler<AsyncResult<Response>> handler)

      Redis command rpoplpush.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### rpoplpush

          public RedisAPI rpoplpush(String arg0,
                                    String arg1)

      Redis command rpoplpush.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxRpoplpush

          public Single<Response> rxRpoplpush(String arg0,
                                              String arg1)

      Redis command rpoplpush.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rpush

          public RedisAPI rpush(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command rpush.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### rpush

          public RedisAPI rpush(List<String> args)

      Redis command rpush.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxRpush

          public Single<Response> rxRpush(List<String> args)

      Redis command rpush.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rpushx

          public RedisAPI rpushx(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command rpushx.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### rpushx

          public RedisAPI rpushx(List<String> args)

      Redis command rpushx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxRpushx

          public Single<Response> rxRpushx(List<String> args)

      Redis command rpushx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sadd

          public RedisAPI sadd(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command sadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sadd

          public RedisAPI sadd(List<String> args)

      Redis command sadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSadd

          public Single<Response> rxSadd(List<String> args)

      Redis command sadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### save

          public RedisAPI save(Handler<AsyncResult<Response>> handler)

      Redis command save.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### save

          public RedisAPI save()

      Redis command save.
      Returns:
        fluent self

    - #### rxSave

          public Single<Response> rxSave()

      Redis command save.
      Returns:
        fluent self

    - #### scan

          public RedisAPI scan(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command scan.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### scan

          public RedisAPI scan(List<String> args)

      Redis command scan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxScan

          public Single<Response> rxScan(List<String> args)

      Redis command scan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### scard

          public RedisAPI scard(String arg0,
                                Handler<AsyncResult<Response>> handler)

      Redis command scard.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### scard

          public RedisAPI scard(String arg0)

      Redis command scard.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxScard

          public Single<Response> rxScard(String arg0)

      Redis command scard.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### script

          public RedisAPI script(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command script.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### script

          public RedisAPI script(List<String> args)

      Redis command script.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxScript

          public Single<Response> rxScript(List<String> args)

      Redis command script.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sdiff

          public RedisAPI sdiff(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command sdiff.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sdiff

          public RedisAPI sdiff(List<String> args)

      Redis command sdiff.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSdiff

          public Single<Response> rxSdiff(List<String> args)

      Redis command sdiff.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sdiffstore

          public RedisAPI sdiffstore(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command sdiffstore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sdiffstore

          public RedisAPI sdiffstore(List<String> args)

      Redis command sdiffstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSdiffstore

          public Single<Response> rxSdiffstore(List<String> args)

      Redis command sdiffstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### select

          public RedisAPI select(String arg0,
                                 Handler<AsyncResult<Response>> handler)

      Redis command select.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### select

          public RedisAPI select(String arg0)

      Redis command select.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxSelect

          public Single<Response> rxSelect(String arg0)

      Redis command select.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### set

          public RedisAPI set(List<String> args,
                              Handler<AsyncResult<Response>> handler)

      Redis command set.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### set

          public RedisAPI set(List<String> args)

      Redis command set.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSet

          public Single<Response> rxSet(List<String> args)

      Redis command set.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### setbit

          public RedisAPI setbit(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

      Redis command setbit.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### setbit

          public RedisAPI setbit(String arg0,
                                 String arg1,
                                 String arg2)

      Redis command setbit.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxSetbit

          public Single<Response> rxSetbit(String arg0,
                                           String arg1,
                                           String arg2)

      Redis command setbit.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### setex

          public RedisAPI setex(String arg0,
                                String arg1,
                                String arg2,
                                Handler<AsyncResult<Response>> handler)

      Redis command setex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### setex

          public RedisAPI setex(String arg0,
                                String arg1,
                                String arg2)

      Redis command setex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxSetex

          public Single<Response> rxSetex(String arg0,
                                          String arg1,
                                          String arg2)

      Redis command setex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### setnx

          public RedisAPI setnx(String arg0,
                                String arg1,
                                Handler<AsyncResult<Response>> handler)

      Redis command setnx.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### setnx

          public RedisAPI setnx(String arg0,
                                String arg1)

      Redis command setnx.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxSetnx

          public Single<Response> rxSetnx(String arg0,
                                          String arg1)

      Redis command setnx.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### setrange

          public RedisAPI setrange(String arg0,
                                   String arg1,
                                   String arg2,
                                   Handler<AsyncResult<Response>> handler)

      Redis command setrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### setrange

          public RedisAPI setrange(String arg0,
                                   String arg1,
                                   String arg2)

      Redis command setrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxSetrange

          public Single<Response> rxSetrange(String arg0,
                                             String arg1,
                                             String arg2)

      Redis command setrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### shutdown

          public RedisAPI shutdown(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command shutdown.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### shutdown

          public RedisAPI shutdown(List<String> args)

      Redis command shutdown.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxShutdown

          public Single<Response> rxShutdown(List<String> args)

      Redis command shutdown.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sinter

          public RedisAPI sinter(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command sinter.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sinter

          public RedisAPI sinter(List<String> args)

      Redis command sinter.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSinter

          public Single<Response> rxSinter(List<String> args)

      Redis command sinter.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sintercard

          public RedisAPI sintercard(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command sintercard.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sintercard

          public RedisAPI sintercard(List<String> args)

      Redis command sintercard.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSintercard

          public Single<Response> rxSintercard(List<String> args)

      Redis command sintercard.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sinterstore

          public RedisAPI sinterstore(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command sinterstore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sinterstore

          public RedisAPI sinterstore(List<String> args)

      Redis command sinterstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSinterstore

          public Single<Response> rxSinterstore(List<String> args)

      Redis command sinterstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sismember

          public RedisAPI sismember(String arg0,
                                    String arg1,
                                    Handler<AsyncResult<Response>> handler)

      Redis command sismember.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### sismember

          public RedisAPI sismember(String arg0,
                                    String arg1)

      Redis command sismember.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxSismember

          public Single<Response> rxSismember(String arg0,
                                              String arg1)

      Redis command sismember.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### slaveof

          public RedisAPI slaveof(String arg0,
                                  String arg1,
                                  Handler<AsyncResult<Response>> handler)

      Redis command slaveof.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### slaveof

          public RedisAPI slaveof(String arg0,
                                  String arg1)

      Redis command slaveof.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxSlaveof

          public Single<Response> rxSlaveof(String arg0,
                                            String arg1)

      Redis command slaveof.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### slowlog

          public RedisAPI slowlog(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command slowlog.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### slowlog

          public RedisAPI slowlog(List<String> args)

      Redis command slowlog.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSlowlog

          public Single<Response> rxSlowlog(List<String> args)

      Redis command slowlog.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### smembers

          public RedisAPI smembers(String arg0,
                                   Handler<AsyncResult<Response>> handler)

      Redis command smembers.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### smembers

          public RedisAPI smembers(String arg0)

      Redis command smembers.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxSmembers

          public Single<Response> rxSmembers(String arg0)

      Redis command smembers.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### smismember

          public RedisAPI smismember(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command smismember.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### smismember

          public RedisAPI smismember(List<String> args)

      Redis command smismember.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSmismember

          public Single<Response> rxSmismember(List<String> args)

      Redis command smismember.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### smove

          public RedisAPI smove(String arg0,
                                String arg1,
                                String arg2,
                                Handler<AsyncResult<Response>> handler)

      Redis command smove.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### smove

          public RedisAPI smove(String arg0,
                                String arg1,
                                String arg2)

      Redis command smove.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxSmove

          public Single<Response> rxSmove(String arg0,
                                          String arg1,
                                          String arg2)

      Redis command smove.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### sort

          public RedisAPI sort(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command sort.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sort

          public RedisAPI sort(List<String> args)

      Redis command sort.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSort

          public Single<Response> rxSort(List<String> args)

      Redis command sort.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sortRo

          public RedisAPI sortRo(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command sortRo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sortRo

          public RedisAPI sortRo(List<String> args)

      Redis command sortRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSortRo

          public Single<Response> rxSortRo(List<String> args)

      Redis command sortRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### spop

          public RedisAPI spop(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command spop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### spop

          public RedisAPI spop(List<String> args)

      Redis command spop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSpop

          public Single<Response> rxSpop(List<String> args)

      Redis command spop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### spublish

          public RedisAPI spublish(String arg0,
                                   String arg1,
                                   Handler<AsyncResult<Response>> handler)

      Redis command spublish.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### spublish

          public RedisAPI spublish(String arg0,
                                   String arg1)

      Redis command spublish.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxSpublish

          public Single<Response> rxSpublish(String arg0,
                                             String arg1)

      Redis command spublish.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### srandmember

          public RedisAPI srandmember(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command srandmember.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### srandmember

          public RedisAPI srandmember(List<String> args)

      Redis command srandmember.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSrandmember

          public Single<Response> rxSrandmember(List<String> args)

      Redis command srandmember.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### srem

          public RedisAPI srem(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command srem.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### srem

          public RedisAPI srem(List<String> args)

      Redis command srem.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSrem

          public Single<Response> rxSrem(List<String> args)

      Redis command srem.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sscan

          public RedisAPI sscan(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command sscan.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sscan

          public RedisAPI sscan(List<String> args)

      Redis command sscan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSscan

          public Single<Response> rxSscan(List<String> args)

      Redis command sscan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ssubscribe

          public RedisAPI ssubscribe(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command ssubscribe.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ssubscribe

          public RedisAPI ssubscribe(List<String> args)

      Redis command ssubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSsubscribe

          public Single<Response> rxSsubscribe(List<String> args)

      Redis command ssubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### strlen

          public RedisAPI strlen(String arg0,
                                 Handler<AsyncResult<Response>> handler)

      Redis command strlen.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### strlen

          public RedisAPI strlen(String arg0)

      Redis command strlen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxStrlen

          public Single<Response> rxStrlen(String arg0)

      Redis command strlen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### subscribe

          public RedisAPI subscribe(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command subscribe.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### subscribe

          public RedisAPI subscribe(List<String> args)

      Redis command subscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSubscribe

          public Single<Response> rxSubscribe(List<String> args)

      Redis command subscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### substr

          public RedisAPI substr(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

      Redis command substr.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### substr

          public RedisAPI substr(String arg0,
                                 String arg1,
                                 String arg2)

      Redis command substr.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxSubstr

          public Single<Response> rxSubstr(String arg0,
                                           String arg1,
                                           String arg2)

      Redis command substr.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### sunion

          public RedisAPI sunion(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command sunion.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sunion

          public RedisAPI sunion(List<String> args)

      Redis command sunion.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSunion

          public Single<Response> rxSunion(List<String> args)

      Redis command sunion.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sunionstore

          public RedisAPI sunionstore(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command sunionstore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sunionstore

          public RedisAPI sunionstore(List<String> args)

      Redis command sunionstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSunionstore

          public Single<Response> rxSunionstore(List<String> args)

      Redis command sunionstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sunsubscribe

          public RedisAPI sunsubscribe(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command sunsubscribe.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sunsubscribe

          public RedisAPI sunsubscribe(List<String> args)

      Redis command sunsubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSunsubscribe

          public Single<Response> rxSunsubscribe(List<String> args)

      Redis command sunsubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### swapdb

          public RedisAPI swapdb(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command swapdb.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### swapdb

          public RedisAPI swapdb(String arg0,
                                 String arg1)

      Redis command swapdb.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxSwapdb

          public Single<Response> rxSwapdb(String arg0,
                                           String arg1)

      Redis command swapdb.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### sync

          public RedisAPI sync(Handler<AsyncResult<Response>> handler)

      Redis command sync.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### sync

          public RedisAPI sync()

      Redis command sync.
      Returns:
        fluent self

    - #### rxSync

          public Single<Response> rxSync()

      Redis command sync.
      Returns:
        fluent self

    - #### time

          public RedisAPI time(Handler<AsyncResult<Response>> handler)

      Redis command time.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### time

          public RedisAPI time()

      Redis command time.
      Returns:
        fluent self

    - #### rxTime

          public Single<Response> rxTime()

      Redis command time.
      Returns:
        fluent self

    - #### timeseriesClusterset

          public RedisAPI timeseriesClusterset(List<String> args,
                                               Handler<AsyncResult<Response>> handler)

      Redis command timeseriesClusterset.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### timeseriesClusterset

          public RedisAPI timeseriesClusterset(List<String> args)

      Redis command timeseriesClusterset.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTimeseriesClusterset

          public Single<Response> rxTimeseriesClusterset(List<String> args)

      Redis command timeseriesClusterset.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### timeseriesClustersetfromshard

          public RedisAPI timeseriesClustersetfromshard(List<String> args,
                                                        Handler<AsyncResult<Response>> handler)

      Redis command timeseriesClustersetfromshard.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### timeseriesClustersetfromshard

          public RedisAPI timeseriesClustersetfromshard(List<String> args)

      Redis command timeseriesClustersetfromshard.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTimeseriesClustersetfromshard

          public Single<Response> rxTimeseriesClustersetfromshard(List<String> args)

      Redis command timeseriesClustersetfromshard.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### timeseriesHello

          public RedisAPI timeseriesHello(List<String> args,
                                          Handler<AsyncResult<Response>> handler)

      Redis command timeseriesHello.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### timeseriesHello

          public RedisAPI timeseriesHello(List<String> args)

      Redis command timeseriesHello.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTimeseriesHello

          public Single<Response> rxTimeseriesHello(List<String> args)

      Redis command timeseriesHello.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### timeseriesInfocluster

          public RedisAPI timeseriesInfocluster(List<String> args,
                                                Handler<AsyncResult<Response>> handler)

      Redis command timeseriesInfocluster.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### timeseriesInfocluster

          public RedisAPI timeseriesInfocluster(List<String> args)

      Redis command timeseriesInfocluster.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTimeseriesInfocluster

          public Single<Response> rxTimeseriesInfocluster(List<String> args)

      Redis command timeseriesInfocluster.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### timeseriesInnercommunication

          public RedisAPI timeseriesInnercommunication(List<String> args,
                                                       Handler<AsyncResult<Response>> handler)

      Redis command timeseriesInnercommunication.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### timeseriesInnercommunication

          public RedisAPI timeseriesInnercommunication(List<String> args)

      Redis command timeseriesInnercommunication.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTimeseriesInnercommunication

          public Single<Response> rxTimeseriesInnercommunication(List<String> args)

      Redis command timeseriesInnercommunication.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### timeseriesNetworktest

          public RedisAPI timeseriesNetworktest(List<String> args,
                                                Handler<AsyncResult<Response>> handler)

      Redis command timeseriesNetworktest.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### timeseriesNetworktest

          public RedisAPI timeseriesNetworktest(List<String> args)

      Redis command timeseriesNetworktest.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTimeseriesNetworktest

          public Single<Response> rxTimeseriesNetworktest(List<String> args)

      Redis command timeseriesNetworktest.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### timeseriesRefreshcluster

          public RedisAPI timeseriesRefreshcluster(List<String> args,
                                                   Handler<AsyncResult<Response>> handler)

      Redis command timeseriesRefreshcluster.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### timeseriesRefreshcluster

          public RedisAPI timeseriesRefreshcluster(List<String> args)

      Redis command timeseriesRefreshcluster.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTimeseriesRefreshcluster

          public Single<Response> rxTimeseriesRefreshcluster(List<String> args)

      Redis command timeseriesRefreshcluster.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### topkAdd

          public RedisAPI topkAdd(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command topkAdd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### topkAdd

          public RedisAPI topkAdd(List<String> args)

      Redis command topkAdd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTopkAdd

          public Single<Response> rxTopkAdd(List<String> args)

      Redis command topkAdd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### topkCount

          public RedisAPI topkCount(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command topkCount.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### topkCount

          public RedisAPI topkCount(List<String> args)

      Redis command topkCount.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTopkCount

          public Single<Response> rxTopkCount(List<String> args)

      Redis command topkCount.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### topkIncrby

          public RedisAPI topkIncrby(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command topkIncrby.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### topkIncrby

          public RedisAPI topkIncrby(List<String> args)

      Redis command topkIncrby.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTopkIncrby

          public Single<Response> rxTopkIncrby(List<String> args)

      Redis command topkIncrby.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### topkInfo

          public RedisAPI topkInfo(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command topkInfo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### topkInfo

          public RedisAPI topkInfo(List<String> args)

      Redis command topkInfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTopkInfo

          public Single<Response> rxTopkInfo(List<String> args)

      Redis command topkInfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### topkList

          public RedisAPI topkList(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command topkList.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### topkList

          public RedisAPI topkList(List<String> args)

      Redis command topkList.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTopkList

          public Single<Response> rxTopkList(List<String> args)

      Redis command topkList.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### topkQuery

          public RedisAPI topkQuery(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command topkQuery.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### topkQuery

          public RedisAPI topkQuery(List<String> args)

      Redis command topkQuery.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTopkQuery

          public Single<Response> rxTopkQuery(List<String> args)

      Redis command topkQuery.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### topkReserve

          public RedisAPI topkReserve(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command topkReserve.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### topkReserve

          public RedisAPI topkReserve(List<String> args)

      Redis command topkReserve.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTopkReserve

          public Single<Response> rxTopkReserve(List<String> args)

      Redis command topkReserve.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### touch

          public RedisAPI touch(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command touch.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### touch

          public RedisAPI touch(List<String> args)

      Redis command touch.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTouch

          public Single<Response> rxTouch(List<String> args)

      Redis command touch.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsAdd

          public RedisAPI tsAdd(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command tsAdd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsAdd

          public RedisAPI tsAdd(List<String> args)

      Redis command tsAdd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsAdd

          public Single<Response> rxTsAdd(List<String> args)

      Redis command tsAdd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsAlter

          public RedisAPI tsAlter(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command tsAlter.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsAlter

          public RedisAPI tsAlter(List<String> args)

      Redis command tsAlter.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsAlter

          public Single<Response> rxTsAlter(List<String> args)

      Redis command tsAlter.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsCreate

          public RedisAPI tsCreate(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command tsCreate.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsCreate

          public RedisAPI tsCreate(List<String> args)

      Redis command tsCreate.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsCreate

          public Single<Response> rxTsCreate(List<String> args)

      Redis command tsCreate.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsCreaterule

          public RedisAPI tsCreaterule(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command tsCreaterule.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsCreaterule

          public RedisAPI tsCreaterule(List<String> args)

      Redis command tsCreaterule.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsCreaterule

          public Single<Response> rxTsCreaterule(List<String> args)

      Redis command tsCreaterule.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsDecrby

          public RedisAPI tsDecrby(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command tsDecrby.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsDecrby

          public RedisAPI tsDecrby(List<String> args)

      Redis command tsDecrby.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsDecrby

          public Single<Response> rxTsDecrby(List<String> args)

      Redis command tsDecrby.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsDel

          public RedisAPI tsDel(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command tsDel.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsDel

          public RedisAPI tsDel(List<String> args)

      Redis command tsDel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsDel

          public Single<Response> rxTsDel(List<String> args)

      Redis command tsDel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsDeleterule

          public RedisAPI tsDeleterule(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command tsDeleterule.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsDeleterule

          public RedisAPI tsDeleterule(List<String> args)

      Redis command tsDeleterule.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsDeleterule

          public Single<Response> rxTsDeleterule(List<String> args)

      Redis command tsDeleterule.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsGet

          public RedisAPI tsGet(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command tsGet.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsGet

          public RedisAPI tsGet(List<String> args)

      Redis command tsGet.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsGet

          public Single<Response> rxTsGet(List<String> args)

      Redis command tsGet.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsIncrby

          public RedisAPI tsIncrby(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command tsIncrby.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsIncrby

          public RedisAPI tsIncrby(List<String> args)

      Redis command tsIncrby.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsIncrby

          public Single<Response> rxTsIncrby(List<String> args)

      Redis command tsIncrby.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsInfo

          public RedisAPI tsInfo(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command tsInfo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsInfo

          public RedisAPI tsInfo(List<String> args)

      Redis command tsInfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsInfo

          public Single<Response> rxTsInfo(List<String> args)

      Redis command tsInfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsMadd

          public RedisAPI tsMadd(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command tsMadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsMadd

          public RedisAPI tsMadd(List<String> args)

      Redis command tsMadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsMadd

          public Single<Response> rxTsMadd(List<String> args)

      Redis command tsMadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsMget

          public RedisAPI tsMget(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command tsMget.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsMget

          public RedisAPI tsMget(List<String> args)

      Redis command tsMget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsMget

          public Single<Response> rxTsMget(List<String> args)

      Redis command tsMget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsMrange

          public RedisAPI tsMrange(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command tsMrange.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsMrange

          public RedisAPI tsMrange(List<String> args)

      Redis command tsMrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsMrange

          public Single<Response> rxTsMrange(List<String> args)

      Redis command tsMrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsMrevrange

          public RedisAPI tsMrevrange(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command tsMrevrange.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsMrevrange

          public RedisAPI tsMrevrange(List<String> args)

      Redis command tsMrevrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsMrevrange

          public Single<Response> rxTsMrevrange(List<String> args)

      Redis command tsMrevrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsQueryindex

          public RedisAPI tsQueryindex(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command tsQueryindex.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsQueryindex

          public RedisAPI tsQueryindex(List<String> args)

      Redis command tsQueryindex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsQueryindex

          public Single<Response> rxTsQueryindex(List<String> args)

      Redis command tsQueryindex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsRange

          public RedisAPI tsRange(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command tsRange.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsRange

          public RedisAPI tsRange(List<String> args)

      Redis command tsRange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsRange

          public Single<Response> rxTsRange(List<String> args)

      Redis command tsRange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### tsRevrange

          public RedisAPI tsRevrange(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command tsRevrange.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### tsRevrange

          public RedisAPI tsRevrange(List<String> args)

      Redis command tsRevrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTsRevrange

          public Single<Response> rxTsRevrange(List<String> args)

      Redis command tsRevrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ttl

          public RedisAPI ttl(String arg0,
                              Handler<AsyncResult<Response>> handler)

      Redis command ttl.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### ttl

          public RedisAPI ttl(String arg0)

      Redis command ttl.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxTtl

          public Single<Response> rxTtl(String arg0)

      Redis command ttl.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### type

          public RedisAPI type(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command type.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### type

          public RedisAPI type(String arg0)

      Redis command type.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxType

          public Single<Response> rxType(String arg0)

      Redis command type.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### unlink

          public RedisAPI unlink(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command unlink.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### unlink

          public RedisAPI unlink(List<String> args)

      Redis command unlink.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxUnlink

          public Single<Response> rxUnlink(List<String> args)

      Redis command unlink.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### unsubscribe

          public RedisAPI unsubscribe(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command unsubscribe.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### unsubscribe

          public RedisAPI unsubscribe(List<String> args)

      Redis command unsubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxUnsubscribe

          public Single<Response> rxUnsubscribe(List<String> args)

      Redis command unsubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### unwatch

          public RedisAPI unwatch(Handler<AsyncResult<Response>> handler)

      Redis command unwatch.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### unwatch

          public RedisAPI unwatch()

      Redis command unwatch.
      Returns:
        fluent self

    - #### rxUnwatch

          public Single<Response> rxUnwatch()

      Redis command unwatch.
      Returns:
        fluent self

    - #### wait

          public RedisAPI wait(String arg0,
                               String arg1,
                               Handler<AsyncResult<Response>> handler)

      Redis command wait.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### wait

          public RedisAPI wait(String arg0,
                               String arg1)

      Redis command wait.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxWait

          public Single<Response> rxWait(String arg0,
                                         String arg1)

      Redis command wait.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### watch

          public RedisAPI watch(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command watch.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### watch

          public RedisAPI watch(List<String> args)

      Redis command watch.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxWatch

          public Single<Response> rxWatch(List<String> args)

      Redis command watch.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xack

          public RedisAPI xack(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command xack.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xack

          public RedisAPI xack(List<String> args)

      Redis command xack.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXack

          public Single<Response> rxXack(List<String> args)

      Redis command xack.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xadd

          public RedisAPI xadd(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command xadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xadd

          public RedisAPI xadd(List<String> args)

      Redis command xadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXadd

          public Single<Response> rxXadd(List<String> args)

      Redis command xadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xautoclaim

          public RedisAPI xautoclaim(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command xautoclaim.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xautoclaim

          public RedisAPI xautoclaim(List<String> args)

      Redis command xautoclaim.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXautoclaim

          public Single<Response> rxXautoclaim(List<String> args)

      Redis command xautoclaim.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xclaim

          public RedisAPI xclaim(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command xclaim.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xclaim

          public RedisAPI xclaim(List<String> args)

      Redis command xclaim.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXclaim

          public Single<Response> rxXclaim(List<String> args)

      Redis command xclaim.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xdel

          public RedisAPI xdel(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command xdel.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xdel

          public RedisAPI xdel(List<String> args)

      Redis command xdel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXdel

          public Single<Response> rxXdel(List<String> args)

      Redis command xdel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xgroup

          public RedisAPI xgroup(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command xgroup.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xgroup

          public RedisAPI xgroup(List<String> args)

      Redis command xgroup.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXgroup

          public Single<Response> rxXgroup(List<String> args)

      Redis command xgroup.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xinfo

          public RedisAPI xinfo(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command xinfo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xinfo

          public RedisAPI xinfo(List<String> args)

      Redis command xinfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXinfo

          public Single<Response> rxXinfo(List<String> args)

      Redis command xinfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xlen

          public RedisAPI xlen(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command xlen.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### xlen

          public RedisAPI xlen(String arg0)

      Redis command xlen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxXlen

          public Single<Response> rxXlen(String arg0)

      Redis command xlen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### xpending

          public RedisAPI xpending(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command xpending.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xpending

          public RedisAPI xpending(List<String> args)

      Redis command xpending.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXpending

          public Single<Response> rxXpending(List<String> args)

      Redis command xpending.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xrange

          public RedisAPI xrange(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command xrange.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xrange

          public RedisAPI xrange(List<String> args)

      Redis command xrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXrange

          public Single<Response> rxXrange(List<String> args)

      Redis command xrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xread

          public RedisAPI xread(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command xread.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xread

          public RedisAPI xread(List<String> args)

      Redis command xread.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXread

          public Single<Response> rxXread(List<String> args)

      Redis command xread.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xreadgroup

          public RedisAPI xreadgroup(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command xreadgroup.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xreadgroup

          public RedisAPI xreadgroup(List<String> args)

      Redis command xreadgroup.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXreadgroup

          public Single<Response> rxXreadgroup(List<String> args)

      Redis command xreadgroup.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xrevrange

          public RedisAPI xrevrange(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command xrevrange.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xrevrange

          public RedisAPI xrevrange(List<String> args)

      Redis command xrevrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXrevrange

          public Single<Response> rxXrevrange(List<String> args)

      Redis command xrevrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xsetid

          public RedisAPI xsetid(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command xsetid.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xsetid

          public RedisAPI xsetid(List<String> args)

      Redis command xsetid.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXsetid

          public Single<Response> rxXsetid(List<String> args)

      Redis command xsetid.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xtrim

          public RedisAPI xtrim(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command xtrim.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xtrim

          public RedisAPI xtrim(List<String> args)

      Redis command xtrim.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXtrim

          public Single<Response> rxXtrim(List<String> args)

      Redis command xtrim.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zadd

          public RedisAPI zadd(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command zadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zadd

          public RedisAPI zadd(List<String> args)

      Redis command zadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZadd

          public Single<Response> rxZadd(List<String> args)

      Redis command zadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zcard

          public RedisAPI zcard(String arg0,
                                Handler<AsyncResult<Response>> handler)

      Redis command zcard.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### zcard

          public RedisAPI zcard(String arg0)

      Redis command zcard.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxZcard

          public Single<Response> rxZcard(String arg0)

      Redis command zcard.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### zcount

          public RedisAPI zcount(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

      Redis command zcount.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### zcount

          public RedisAPI zcount(String arg0,
                                 String arg1,
                                 String arg2)

      Redis command zcount.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxZcount

          public Single<Response> rxZcount(String arg0,
                                           String arg1,
                                           String arg2)

      Redis command zcount.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### zdiff

          public RedisAPI zdiff(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command zdiff.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zdiff

          public RedisAPI zdiff(List<String> args)

      Redis command zdiff.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZdiff

          public Single<Response> rxZdiff(List<String> args)

      Redis command zdiff.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zdiffstore

          public RedisAPI zdiffstore(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command zdiffstore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zdiffstore

          public RedisAPI zdiffstore(List<String> args)

      Redis command zdiffstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZdiffstore

          public Single<Response> rxZdiffstore(List<String> args)

      Redis command zdiffstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zincrby

          public RedisAPI zincrby(String arg0,
                                  String arg1,
                                  String arg2,
                                  Handler<AsyncResult<Response>> handler)

      Redis command zincrby.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### zincrby

          public RedisAPI zincrby(String arg0,
                                  String arg1,
                                  String arg2)

      Redis command zincrby.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxZincrby

          public Single<Response> rxZincrby(String arg0,
                                            String arg1,
                                            String arg2)

      Redis command zincrby.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### zinter

          public RedisAPI zinter(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command zinter.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zinter

          public RedisAPI zinter(List<String> args)

      Redis command zinter.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZinter

          public Single<Response> rxZinter(List<String> args)

      Redis command zinter.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zintercard

          public RedisAPI zintercard(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command zintercard.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zintercard

          public RedisAPI zintercard(List<String> args)

      Redis command zintercard.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZintercard

          public Single<Response> rxZintercard(List<String> args)

      Redis command zintercard.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zinterstore

          public RedisAPI zinterstore(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command zinterstore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zinterstore

          public RedisAPI zinterstore(List<String> args)

      Redis command zinterstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZinterstore

          public Single<Response> rxZinterstore(List<String> args)

      Redis command zinterstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zlexcount

          public RedisAPI zlexcount(String arg0,
                                    String arg1,
                                    String arg2,
                                    Handler<AsyncResult<Response>> handler)

      Redis command zlexcount.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### zlexcount

          public RedisAPI zlexcount(String arg0,
                                    String arg1,
                                    String arg2)

      Redis command zlexcount.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxZlexcount

          public Single<Response> rxZlexcount(String arg0,
                                              String arg1,
                                              String arg2)

      Redis command zlexcount.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### zmpop

          public RedisAPI zmpop(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command zmpop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zmpop

          public RedisAPI zmpop(List<String> args)

      Redis command zmpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZmpop

          public Single<Response> rxZmpop(List<String> args)

      Redis command zmpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zmscore

          public RedisAPI zmscore(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command zmscore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zmscore

          public RedisAPI zmscore(List<String> args)

      Redis command zmscore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZmscore

          public Single<Response> rxZmscore(List<String> args)

      Redis command zmscore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zpopmax

          public RedisAPI zpopmax(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command zpopmax.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zpopmax

          public RedisAPI zpopmax(List<String> args)

      Redis command zpopmax.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZpopmax

          public Single<Response> rxZpopmax(List<String> args)

      Redis command zpopmax.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zpopmin

          public RedisAPI zpopmin(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command zpopmin.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zpopmin

          public RedisAPI zpopmin(List<String> args)

      Redis command zpopmin.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZpopmin

          public Single<Response> rxZpopmin(List<String> args)

      Redis command zpopmin.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrandmember

          public RedisAPI zrandmember(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command zrandmember.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrandmember

          public RedisAPI zrandmember(List<String> args)

      Redis command zrandmember.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrandmember

          public Single<Response> rxZrandmember(List<String> args)

      Redis command zrandmember.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrange

          public RedisAPI zrange(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command zrange.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrange

          public RedisAPI zrange(List<String> args)

      Redis command zrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrange

          public Single<Response> rxZrange(List<String> args)

      Redis command zrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrangebylex

          public RedisAPI zrangebylex(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command zrangebylex.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrangebylex

          public RedisAPI zrangebylex(List<String> args)

      Redis command zrangebylex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrangebylex

          public Single<Response> rxZrangebylex(List<String> args)

      Redis command zrangebylex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrangebyscore

          public RedisAPI zrangebyscore(List<String> args,
                                        Handler<AsyncResult<Response>> handler)

      Redis command zrangebyscore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrangebyscore

          public RedisAPI zrangebyscore(List<String> args)

      Redis command zrangebyscore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrangebyscore

          public Single<Response> rxZrangebyscore(List<String> args)

      Redis command zrangebyscore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrangestore

          public RedisAPI zrangestore(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command zrangestore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrangestore

          public RedisAPI zrangestore(List<String> args)

      Redis command zrangestore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrangestore

          public Single<Response> rxZrangestore(List<String> args)

      Redis command zrangestore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrank

          public RedisAPI zrank(String arg0,
                                String arg1,
                                Handler<AsyncResult<Response>> handler)

      Redis command zrank.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### zrank

          public RedisAPI zrank(String arg0,
                                String arg1)

      Redis command zrank.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxZrank

          public Single<Response> rxZrank(String arg0,
                                          String arg1)

      Redis command zrank.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### zrem

          public RedisAPI zrem(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command zrem.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrem

          public RedisAPI zrem(List<String> args)

      Redis command zrem.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrem

          public Single<Response> rxZrem(List<String> args)

      Redis command zrem.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zremrangebylex

          public RedisAPI zremrangebylex(String arg0,
                                         String arg1,
                                         String arg2,
                                         Handler<AsyncResult<Response>> handler)

      Redis command zremrangebylex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### zremrangebylex

          public RedisAPI zremrangebylex(String arg0,
                                         String arg1,
                                         String arg2)

      Redis command zremrangebylex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxZremrangebylex

          public Single<Response> rxZremrangebylex(String arg0,
                                                   String arg1,
                                                   String arg2)

      Redis command zremrangebylex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### zremrangebyrank

          public RedisAPI zremrangebyrank(String arg0,
                                          String arg1,
                                          String arg2,
                                          Handler<AsyncResult<Response>> handler)

      Redis command zremrangebyrank.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### zremrangebyrank

          public RedisAPI zremrangebyrank(String arg0,
                                          String arg1,
                                          String arg2)

      Redis command zremrangebyrank.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxZremrangebyrank

          public Single<Response> rxZremrangebyrank(String arg0,
                                                    String arg1,
                                                    String arg2)

      Redis command zremrangebyrank.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### zremrangebyscore

          public RedisAPI zremrangebyscore(String arg0,
                                           String arg1,
                                           String arg2,
                                           Handler<AsyncResult<Response>> handler)

      Redis command zremrangebyscore.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### zremrangebyscore

          public RedisAPI zremrangebyscore(String arg0,
                                           String arg1,
                                           String arg2)

      Redis command zremrangebyscore.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxZremrangebyscore

          public Single<Response> rxZremrangebyscore(String arg0,
                                                     String arg1,
                                                     String arg2)

      Redis command zremrangebyscore.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### zrevrange

          public RedisAPI zrevrange(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command zrevrange.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrevrange

          public RedisAPI zrevrange(List<String> args)

      Redis command zrevrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrevrange

          public Single<Response> rxZrevrange(List<String> args)

      Redis command zrevrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrevrangebylex

          public RedisAPI zrevrangebylex(List<String> args,
                                         Handler<AsyncResult<Response>> handler)

      Redis command zrevrangebylex.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrevrangebylex

          public RedisAPI zrevrangebylex(List<String> args)

      Redis command zrevrangebylex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrevrangebylex

          public Single<Response> rxZrevrangebylex(List<String> args)

      Redis command zrevrangebylex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrevrangebyscore

          public RedisAPI zrevrangebyscore(List<String> args,
                                           Handler<AsyncResult<Response>> handler)

      Redis command zrevrangebyscore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrevrangebyscore

          public RedisAPI zrevrangebyscore(List<String> args)

      Redis command zrevrangebyscore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrevrangebyscore

          public Single<Response> rxZrevrangebyscore(List<String> args)

      Redis command zrevrangebyscore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrevrank

          public RedisAPI zrevrank(String arg0,
                                   String arg1,
                                   Handler<AsyncResult<Response>> handler)

      Redis command zrevrank.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### zrevrank

          public RedisAPI zrevrank(String arg0,
                                   String arg1)

      Redis command zrevrank.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxZrevrank

          public Single<Response> rxZrevrank(String arg0,
                                             String arg1)

      Redis command zrevrank.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### zscan

          public RedisAPI zscan(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command zscan.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zscan

          public RedisAPI zscan(List<String> args)

      Redis command zscan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZscan

          public Single<Response> rxZscan(List<String> args)

      Redis command zscan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zscore

          public RedisAPI zscore(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command zscore.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### zscore

          public RedisAPI zscore(String arg0,
                                 String arg1)

      Redis command zscore.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxZscore

          public Single<Response> rxZscore(String arg0,
                                           String arg1)

      Redis command zscore.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### zunion

          public RedisAPI zunion(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command zunion.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zunion

          public RedisAPI zunion(List<String> args)

      Redis command zunion.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZunion

          public Single<Response> rxZunion(List<String> args)

      Redis command zunion.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zunionstore

          public RedisAPI zunionstore(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command zunionstore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zunionstore

          public RedisAPI zunionstore(List<String> args)

      Redis command zunionstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZunionstore

          public Single<Response> rxZunionstore(List<String> args)

      Redis command zunionstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### api

          public static RedisAPI api(Redis client)

    - #### api

          public static RedisAPI api(RedisConnection connection)

    - #### newInstance

          public static RedisAPI newInstance(RedisAPI arg)

Copyright © 2022 Eclipse. All rights reserved.